function newSpec=plus(xObj,yObj)
if(isa(xObj,'regionSpec'))
theRegSpec=xObj;
theNon=yObj;
nonLast=1;
else
theRegSpec=yObj;
theNon=xObj;
nonLast=0;
end
vSpecsReg=getTheVarSpecs(theRegSpec);


switch class(theNon)

case 'regionSpec'
vSpecsNon=getTheVarSpecs(theNon);
newSpec.theVarSpecs=...
fourCases(isa(vSpecsReg,'noVarRanges'),isa(vSpecsNon,'noVarRanges'), ...
getTheVarSpecs(theRegSpec),getTheVarSpecs(theNon),nonLast);
if(nonLast)
newSpec.defaultRanges=getDefaultRanges(theNon);
else
newSpec.defaultRanges=getDefaultRanges(theRegSpec);
end

case 'varRange'
newSpec.defaultRanges=getDefaultRanges(theRegSpec);
newSpec.theVarSpecs=...
fourCases(isa(vSpecsReg,'noVarRanges'),0, ...
getTheVarSpecs(theRegSpec),theNon,nonLast);


case 'aRange'
newSpec.theVarSpecs=getTheVarSpecs(theRegSpec);
if(nonLast)
newSpec.defaultRanges=aRange(theNon);
else
newSpec.defaultRanges=getDefaultRanges(theRegSpec);
end


case 'double'
newSpec.theVarSpecs=getTheVarSpecs(theRegSpec);
if(nonLast)
newSpec.defaultRanges=aRange(theNon);
else
newSpec.defaultRanges=getDefaultRanges(theRegSpec);
end

case 'noVarRanges'
newSpec.theVarSpecs=getTheVarSpecs(theRegSpec);
newSpec.defaultRanges=getDefaultRanges(theRegSpec);

otherwise
error('plus knows regionSpec, varRange, aRange noVarRanges and double')
end

newSpec=regionSpec(newSpec.defaultRanges,newSpec.theVarSpecs);

function theRes=fourCases(firEmpty,secEmpty,fir,sec,noRev)
switch 2*firEmpty +1*secEmpty
case 3
theRes=fir;
case 2
theRes=sec;
case 1
theRes=fir;
case 0
if(noRev)
theRes=[fir sec];
else
theRes=[sec fir];
end
end
