function [residual, g1, g2, g3] = example1_dynamic(y, x)
% 
% Status : Computes dynamic model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ it_
if M_.param_nbr > 0
  params =  M_.params;
end

	% 
	% Model equations
	% 

residual = zeros(6, 1);
T25 = y(7)*params(1)*exp(y(11))/exp(y(15))/y(13);
T33 = 1.0+params(3)*exp(y(15))*y(12)/y(14)-params(4);
T40 = exp(y(9))*y(8)^params(3);
T41 = y(10)^(1.0-params(3));
T42 = T40*T41;
T72 = exp(y(15))*exp(y(15));
T76 = y(13)*params(1)*exp(y(11))*exp(y(15))/T72/(y(13)*y(13));
T91 = y(13)*y(7)*params(1)*exp(y(11))*exp(y(15))/T72/(y(13)*y(13));
T96 = y(13)*(-(y(7)*params(1)*exp(y(11))*exp(y(15))))/T72/(y(13)*y(13));
T99 = params(3)*exp(y(15))*y(12)*y(14)/(y(14)*y(14));
T104 = (-(y(7)*params(1)*exp(y(11))/exp(y(15))))/(y(13)*y(13));
T107 = params(3)*exp(y(15))*y(14)/(y(14)*y(14));
T110 = (-(params(3)*exp(y(15))*y(12)))/(y(14)*y(14));
T118 = (-(T41*exp(y(9))*params(3)*y(8)^(params(3)-1.0)));
lhs =y(7)*params(5)*y(10)^(1.0+params(6));
rhs =(1.0-params(3))*y(6);
residual(1)= lhs-rhs;
lhs =T25*T33;
rhs =1.0;
residual(2)= lhs-rhs;
lhs =y(6);
rhs =T42;
residual(3)= lhs-rhs;
lhs =y(8);
rhs =exp(y(5))*(y(1)-y(2))+(1.0-params(4))*y(3);
residual(4)= lhs-rhs;
lhs =y(9);
rhs =params(2)*y(4)+y(5)*params(7)+x(it_, 1);
residual(5)= lhs-rhs;
lhs =y(11);
rhs =y(4)*params(7)+y(5)*params(2)+x(it_, 2);
residual(6)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(6, 17);

	% 
	% Jacobian matrix
	% 

  g1(1, 7)=  g1(1, 7)+params(5)*y(10)^(1.0+params(6));
  g1(1, 10)=  g1(1, 10)+y(7)*params(5)*(1.0+params(6))*y(10)^(1.0+params(6)-1.0);
  g1(1, 6)=  g1(1, 6)+(-(1.0-params(3)));
  g1(2, 7)=  g1(2, 7)+T33*T76;
  g1(2, 11)=  g1(2, 11)+T33*T91;
  g1(2, 15)=  g1(2, 15)+T33*T96+T25*T99;
  g1(2, 13)=  g1(2, 13)+T33*T104;
  g1(2, 12)=  g1(2, 12)+T25*T107;
  g1(2, 14)=  g1(2, 14)+T25*T110;
  g1(3, 10)=  g1(3, 10)+(-(T40*(1.0-params(3))*y(10)^(1.0-params(3)-1.0)));
  g1(3, 6)=  g1(3, 6)+1.0;
  g1(3, 9)=  g1(3, 9)+(-T42);
  g1(3, 8)=  g1(3, 8)+T118;
  g1(4, 8)=  g1(4, 8)+1.0;
  g1(4, 5)=  g1(4, 5)+(-(exp(y(5))*(y(1)-y(2))));
  g1(4, 1)=  g1(4, 1)+(-exp(y(5)));
  g1(4, 2)=  g1(4, 2)+exp(y(5));
  g1(4, 3)=  g1(4, 3)+(-(1.0-params(4)));
  g1(5, 9)=  g1(5, 9)+1.0;
  g1(5, 5)=  g1(5, 5)+(-params(7));
  g1(5, 4)=  g1(5, 4)+(-params(2));
  g1(5, 16)=  g1(5, 16)+(-1.0);
  g1(6, 11)=  g1(6, 11)+1.0;
  g1(6, 5)=  g1(6, 5)+(-params(2));
  g1(6, 4)=  g1(6, 4)+(-params(7));
  g1(6, 17)=  g1(6, 17)+(-1.0);
end
if nargout >= 3,
  g2 = sparse([],[],[],6, 289, 1445);

	% 
	% Hessian matrix
	% 

  g2(1, 160) = params(5)*(1.0+params(6))*y(10)^(1.0+params(6)-1.0);
  g2(1, 163) = y(7)*params(5)*(1.0+params(6))*(1.0+params(6)-1.0)*y(10)^(1.0+params(6)-1.0-1.0);
  g2(2, 177) = T33*y(13)*y(13)*y(13)*params(1)*exp(y(11))*exp(y(15))*T72/(T72*T72)/(y(13)*y(13)*y(13)*y(13));
  g2(2, 181) = T33*y(13)*y(13)*y(13)*T72*y(7)*params(1)*exp(y(11))*exp(y(15))/(T72*T72)/(y(13)*y(13)*y(13)*y(13));
  g2(2, 245) = T33*y(13)*y(13)*y(13)*T72*(-(params(1)*exp(y(11))*exp(y(15))))/(T72*T72)/(y(13)*y(13)*y(13)*y(13))+T76*T99;
  g2(2, 249) = T33*y(13)*y(13)*y(13)*T72*(-(y(7)*params(1)*exp(y(11))*exp(y(15))))/(T72*T72)/(y(13)*y(13)*y(13)*y(13))+T91*T99;
  g2(2, 253) = T96*T99+T33*y(13)*y(13)*y(13)*(T72*(-(y(7)*params(1)*exp(y(11))*exp(y(15))))-(-(y(7)*params(1)*exp(y(11))*exp(y(15))))*(T72+T72))/(T72*T72)/(y(13)*y(13)*y(13)*y(13))+T96*T99+T25*params(3)*exp(y(15))*y(12)*y(14)*y(14)*y(14)/(y(14)*y(14)*y(14)*y(14));
  g2(2, 211) = T33*y(13)*y(13)*(-(params(1)*exp(y(11))*exp(y(15))/T72))/(y(13)*y(13)*y(13)*y(13));
  g2(2, 215) = T33*y(13)*y(13)*(-(y(7)*params(1)*exp(y(11))*exp(y(15))/T72))/(y(13)*y(13)*y(13)*y(13));
  g2(2, 219) = T99*T104+T33*y(13)*y(13)*(-((-(y(7)*params(1)*exp(y(11))*exp(y(15))))/T72))/(y(13)*y(13)*y(13)*y(13));
  g2(2, 217) = T33*(-((-(y(7)*params(1)*exp(y(11))/exp(y(15))))*(y(13)+y(13))))/(y(13)*y(13)*y(13)*y(13));
  g2(2, 194) = T76*T107;
  g2(2, 198) = T91*T107;
  g2(2, 202) = T96*T107+T25*y(14)*y(14)*params(3)*exp(y(15))*y(14)/(y(14)*y(14)*y(14)*y(14));
  g2(2, 200) = T104*T107;
  g2(2, 228) = T76*T110;
  g2(2, 232) = T91*T110;
  g2(2, 236) = T96*T110+T25*y(14)*y(14)*(-(params(3)*exp(y(15))*y(12)))/(y(14)*y(14)*y(14)*y(14));
  g2(2, 234) = T104*T110;
  g2(2, 233) = T25*y(14)*y(14)*(-(params(3)*exp(y(15))))/(y(14)*y(14)*y(14)*y(14));
  g2(2, 235) = T25*(-((-(params(3)*exp(y(15))*y(12)))*(y(14)+y(14))))/(y(14)*y(14)*y(14)*y(14));
  g2(3, 163) = (-(T40*(1.0-params(3))*(1.0-params(3)-1.0)*y(10)^(1.0-params(3)-1.0-1.0)));
  g2(3, 146) = (-(T40*(1.0-params(3))*y(10)^(1.0-params(3)-1.0)));
  g2(3, 145) = (-T42);
  g2(3, 129) = (-((1.0-params(3))*y(10)^(1.0-params(3)-1.0)*exp(y(9))*params(3)*y(8)^(params(3)-1.0)));
  g2(3, 128) = T118;
  g2(3, 127) = (-(T41*exp(y(9))*params(3)*(params(3)-1.0)*y(8)^(params(3)-1.0-1.0)));
  g2(4, 73) = (-(exp(y(5))*(y(1)-y(2))));
  g2(4, 5) = (-exp(y(5)));
  g2(4, 22) = exp(y(5));
  g2(1, 112) = g2(1, 160);
  g2(2, 113) = g2(2, 177);
  g2(2, 117) = g2(2, 245);
  g2(2, 185) = g2(2, 249);
  g2(2, 115) = g2(2, 211);
  g2(2, 183) = g2(2, 215);
  g2(2, 251) = g2(2, 219);
  g2(2, 114) = g2(2, 194);
  g2(2, 182) = g2(2, 198);
  g2(2, 250) = g2(2, 202);
  g2(2, 216) = g2(2, 200);
  g2(2, 116) = g2(2, 228);
  g2(2, 184) = g2(2, 232);
  g2(2, 252) = g2(2, 236);
  g2(2, 218) = g2(2, 234);
  g2(2, 201) = g2(2, 233);
  g2(3, 162) = g2(3, 146);
  g2(3, 161) = g2(3, 129);
  g2(3, 144) = g2(3, 128);
  g2(4, 69) = g2(4, 5);
  g2(4, 70) = g2(4, 22);
end;
