function [xx,rc,manyf,manyx,manyc,manyFeas]...
 = findSteadyState(FUN,xBounds,showEm,itmax,maxTimeAllowed,...
varargin)
%function [xx,rc,manyf,manyx,manyc,manyFeas]=
% findSteadyState(FUN,xBounds,showEm,itmax,maxTimeAllowed,varargin)
% FUN should be written so that any parametric arguments are packed in to xp,
% xBounds matrix (nvar by 2) upper and lower bounds for xp
%showEm 1 show DIRECT iterations 
%itmax max number of func evals for finding good start
% try 1700 escalate in increments of 5000 if you have patience
%maxTimeAllowed max numbr cpusec  for finding good start
% varargin additional args passed to FUN for each call
options.testflag  = 0;  
options.tol       = 1e-4;
options.impcons=1;%employ NAS
options.showits   = showEm;
%revisit after some experience
options.maxevals= itmax;
options.maxits = itmax;
options.maxdeep=itmax;
%options.maxevals= 17000;
%options.maxits = 17000;
%options.maxdeep=17000;
%options.maxevals= 700;
%options.maxits = 700;
%options.maxdeep=700;
%options.ep=1e-4;
%options.tflag =0;
%options.globalmin=0;
% Pass Function as part of a Matlab Structure
Problem.f = FUN;

% 3. Call DIRECT
[fmin,xx,hist,manyf,manyx,manyc,manyFeas]...
 = Direct(Problem,xBounds,maxTimeAllowed,...
options,varargin{:});
rc=(fmin<=options.tol);
% 4. Plot iteration statistics


