function theBnds=genBounds
%creates and displays matrix of variable bounds delimiting "global" search space for
% findSteadyState function
%inputs
%  ()   -- with no args create matrix corresponding to 
%           default variable ranges for the "active" dynare model(M_.fname)
%  (regionSpec)  -- create matrix corresponding to 
%           specified variable ranges for the active dynare model(M_.fname)
%  (modName,regionSpec)  -- use dynare command to parse modName
%           (making modName the "active" model)
%           create matrix corresponding to 
%           specified variable ranges for the model 
%  (modName)  -- use dynare command to parse modName
%           (making modName the "active" model)
%           create matrix corresponding to default
%           variable ranges
%outputs
%matrix of variable bounds delimiting "global" search space for
% use by the findSteadyState matlab function
%$Id:$
theBnds=genBounds(regionSpec);
