function [residual, g1, g2] = sedmodel1_dynamic(y, x)
% 
% Status : Computes dynamic model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ it_
if M_.param_nbr > 0
  params =  M_.params;
end

	% 
	% Model equations
	% 

residual = zeros(17, 1);
T17 = 1.0/params(10);
T19 = params(2)*params(11)*params(16)*y(23)^T17;
T35 = y(15)*params(9)*(1.0-y(9)-params(15))^(-params(8));
T41 = params(14)^params(1);
T42 = (1.0-params(1))*y(5)*T41;
T45 = T42*y(9)^(-params(1));
T48 = (1.0+params(10))/params(10);
T50 = params(2)*params(11)*y(23)^T48;
T62 = (-1.0)/params(10);
T76 = T41*y(5)*y(6)^(-1.0);
T77 = y(9)^(1.0-params(1));
T82 = (-(1.0+params(10)))/params(10);
T87 = params(11)*(params(16)/y(11))^T82;
T94 = y(5)/params(12);
T98 = y(1)/params(12);
T106 = y(7)/params(13);
T110 = y(3)/params(13);
T121 = params(2)*y(8)/y(23);
T125 = (y(26)-y(22))^(-params(7));
T149 = params(9)*(1.0-y(10)-params(15))^(1.0-params(8))/(1.0-params(8));
T152 = 1.0/(1.0-params(7));
T163 = params(9)*(1.0+params(10))*y(17)*(y(17)-y(7))^(params(7)-1.0);
T164 = (1.0-y(10)-params(15))^(-params(8));
T174 = y(15)/y(17);
T194 = params(17)*(y(11)/params(16))^params(3);
T196 = T194^(1.0-params(6));
T200 = y(4)^params(6)*T196*exp(x(it_, 3));
T204 = 1.0/100.0;
T217 = (1.0-params(7))*(y(15)-y(7))^(1.0-params(7)-1.0);
T219 = params(9)*(1.0-y(9)-params(15))^(-params(8));
T232 = y(17)/(y(17)*y(17));
T236 = params(13)/(params(13)*params(13));
T244 = (params(7)-1.0)*(y(17)-y(7))^(params(7)-1.0-1.0);
T247 = params(9)*(1.0+params(10))*y(17)*(-T244);
T271 = params(2)*(-y(8))/(y(23)*y(23));
T282 = y(15)*params(9)*(-((-params(8))*(1.0-y(9)-params(15))^((-params(8))-1.0)));
T286 = T42*(-params(1))*y(9)^((-params(1))-1.0);
T294 = (1.0-params(1))*y(9)^(1.0-params(1)-1.0);
T307 = y(9)^(-params(1))*(1.0-params(1))*T41;
T316 = params(12)/(params(12)*params(12));
T324 = T62*(y(14)*y(11))^(T62-1.0);
T342 = T82*(params(16)/y(11))^(T82-1.0);
T353 = params(17)*params(16)/(params(16)*params(16))*params(3)*(y(11)/params(16))^(params(3)-1.0);
T360 = (-(exp(x(it_, 3))*y(4)^params(6)*T353*(1.0-params(6))*T194^(1.0-params(6)-1.0)));
T380 = (-params(7))*(y(26)-y(22))^((-params(7))-1.0);
T389 = T152*((1.0-params(7))*(y(12)*(1.0-params(2))-T149))^(T152-1.0);
T399 = (-((1.0-params(8))*params(9)*(-((1.0-params(8))*(1.0-y(10)-params(15))^(1.0-params(8)-1.0)))/((1.0-params(8))*(1.0-params(8)))));
T408 = (-((-params(8))*(1.0-y(10)-params(15))^((-params(8))-1.0)));
T416 = T152*((1.0-params(7))*((1.0-params(2))*y(13)-T149))^(T152-1.0);
T423 = params(9)*((1.0+params(10))*(y(17)-y(7))^(params(7)-1.0)+(1.0+params(10))*y(17)*T244);
T427 = (-y(15))/(y(17)*y(17));
T446 = (1.0-params(7))*(1.0-params(7)-1.0)*(y(15)-y(7))^(1.0-params(7)-1.0-1.0);
T449 = (1.0-params(7))*(-((1.0-params(7)-1.0)*(y(15)-y(7))^(1.0-params(7)-1.0-1.0)));
T613 = (-params(7))*((-params(7))-1.0)*(y(15)-y(7))^((-params(7))-1.0-1.0);
T638 = (-params(7))*((-params(7))-1.0)*(y(26)-y(22))^((-params(7))-1.0-1.0);
T655 = (1.0-params(7))*(1.0-params(7))*(1.0-params(7))*(1.0-params(7));
T681 = (T152-1.0)*((1.0-params(7))*(y(12)*(1.0-params(2))-T149))^(T152-1.0-1.0);
T683 = T152*(1.0-params(7))*(1.0-params(2))*T681;
T699 = (-((1.0-params(8))*(1.0-params(8))*(1.0-params(8))*params(9)*(-((1.0-params(8))*(-((1.0-params(8)-1.0)*(1.0-y(10)-params(15))^(1.0-params(8)-1.0-1.0)))))/((1.0-params(8))*(1.0-params(8))*(1.0-params(8))*(1.0-params(8)))));
T709 = (params(7)-1.0)*(-((params(7)-1.0-1.0)*(y(17)-y(7))^(params(7)-1.0-1.0-1.0)));
T777 = (1.0-params(7))*(-((1.0-params(7)-1.0)*(y(17)-y(7))^(1.0-params(7)-1.0-1.0)));
T821 = (T152-1.0)*((1.0-params(7))*((1.0-params(2))*y(13)-T149))^(T152-1.0-1.0);
T823 = T152*(1.0-params(7))*T399*T821;
lhs =y(18)-((y(15)-y(7))^(1.0-params(7))+T19*y(27));
rhs =0.0;
residual(1)= lhs-rhs;
lhs =y(19)-(T35/T45+T50*y(28));
rhs =0.0;
residual(2)= lhs-rhs;
lhs =y(14)-y(19)*(1.0+params(10))/y(18);
rhs =0.0;
residual(3)= lhs-rhs;
lhs =y(11)^T62-((1.0-params(11))*(y(14)*y(11))^T62+params(11)*params(16)^T62);
rhs =0.0;
residual(4)= lhs-rhs;
lhs =y(15)-T76*T77;
rhs =0.0;
residual(5)= lhs-rhs;
lhs =y(6)-((1.0-params(11))*y(14)^T82+T87*y(2));
rhs =0.0;
residual(6)= lhs-rhs;
lhs =log(T94)-(params(4)*log(T98)+x(it_, 1));
rhs =0.0;
residual(7)= lhs-rhs;
lhs =log(T106)-(params(5)*log(T110)+x(it_, 2));
rhs =0.0;
residual(8)= lhs-rhs;
lhs =(y(15)-y(7))^(-params(7))-T121*T125;
rhs =0.0;
residual(9)= lhs-rhs;
lhs =y(12)-((y(15)-y(7))^(1.0-params(7))/(1.0-params(7))+params(9)*(1.0-y(9)-params(15))^(1.0-params(8))/(1.0-params(8))+params(2)*y(24));
rhs =0.0;
residual(10)= lhs-rhs;
lhs =y(21);
rhs =((1.0-params(7))*(y(12)*(1.0-params(2))-T149))^T152;
residual(11)= lhs-rhs;
lhs =T42*y(10)^(-params(1))-T163*T164;
rhs =0.0;
residual(12)= lhs-rhs;
lhs =y(17)-y(5)*T41*y(10)^(1.0-params(1));
rhs =0.0;
residual(13)= lhs-rhs;
lhs =y(16)-log(T174);
rhs =0.0;
residual(14)= lhs-rhs;
lhs =y(13)-(T149+(y(17)-y(7))^(1.0-params(7))/(1.0-params(7))+params(2)*y(25));
rhs =0.0;
residual(15)= lhs-rhs;
lhs =y(8);
rhs =T200;
residual(16)= lhs-rhs;
lhs =y(20);
rhs =T204*((1.0-params(7))*((1.0-params(2))*y(13)-T149))^T152;
residual(17)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(17, 31);

	% 
	% Jacobian matrix
	% 

  g1(1, 18)=  g1(1, 18)+1.0;
  g1(1, 15)=  g1(1, 15)+(-T217);
  g1(1, 7)=  g1(1, 7)+T217;
  g1(1, 23)=  g1(1, 23)+(-(y(27)*params(2)*params(11)*params(16)*T17*y(23)^(T17-1.0)));
  g1(1, 27)=  g1(1, 27)+(-T19);
  g1(2, 15)=  g1(2, 15)+(-(T45*T219/(T45*T45)));
  g1(2, 23)=  g1(2, 23)+(-(y(28)*params(2)*params(11)*T48*y(23)^(T48-1.0)));
  g1(2, 19)=  g1(2, 19)+1.0;
  g1(2, 9)=  g1(2, 9)+(-((T45*T282-T35*T286)/(T45*T45)));
  g1(2, 5)=  g1(2, 5)+(-((-(T35*T307))/(T45*T45)));
  g1(2, 28)=  g1(2, 28)+(-T50);
  g1(3, 18)=  g1(3, 18)+(-((-(y(19)*(1.0+params(10))))/(y(18)*y(18))));
  g1(3, 19)=  g1(3, 19)+(-(y(18)*(1.0+params(10))/(y(18)*y(18))));
  g1(3, 14)=  g1(3, 14)+1.0;
  g1(4, 14)=  g1(4, 14)+(-((1.0-params(11))*y(11)*T324));
  g1(4, 11)=  g1(4, 11)+T62*y(11)^(T62-1.0)-(1.0-params(11))*y(14)*T324;
  g1(5, 15)=  g1(5, 15)+1.0;
  g1(5, 9)=  g1(5, 9)+(-(T76*T294));
  g1(5, 5)=  g1(5, 5)+(-(T77*T41*y(6)^(-1.0)));
  g1(5, 6)=  g1(5, 6)+(-(T77*T41*y(5)*(-y(6)^((-1.0)-1.0))));
  g1(6, 14)=  g1(6, 14)+(-((1.0-params(11))*T82*y(14)^(T82-1.0)));
  g1(6, 11)=  g1(6, 11)+(-(y(2)*params(11)*(-params(16))/(y(11)*y(11))*T342));
  g1(6, 6)=  g1(6, 6)+1.0;
  g1(6, 2)=  g1(6, 2)+(-T87);
  g1(7, 5)=  g1(7, 5)+T316/T94;
  g1(7, 1)=  g1(7, 1)+(-(params(4)*T316/T98));
  g1(7, 29)=  g1(7, 29)+(-1.0);
  g1(8, 7)=  g1(8, 7)+T236/T106;
  g1(8, 3)=  g1(8, 3)+(-(params(5)*T236/T110));
  g1(8, 30)=  g1(8, 30)+(-1.0);
  g1(9, 15)=  g1(9, 15)+(-params(7))*(y(15)-y(7))^((-params(7))-1.0);
  g1(9, 7)=  g1(9, 7)+(-((-params(7))*(y(15)-y(7))^((-params(7))-1.0)));
  g1(9, 23)=  g1(9, 23)+(-(T125*T271));
  g1(9, 8)=  g1(9, 8)+(-(T125*params(2)*y(23)/(y(23)*y(23))));
  g1(9, 26)=  g1(9, 26)+(-(T121*T380));
  g1(9, 22)=  g1(9, 22)+(-(T121*(-T380)));
  g1(10, 15)=  g1(10, 15)+(-((1.0-params(7))*T217/((1.0-params(7))*(1.0-params(7)))));
  g1(10, 7)=  g1(10, 7)+(-((1.0-params(7))*(-T217)/((1.0-params(7))*(1.0-params(7)))));
  g1(10, 9)=  g1(10, 9)+(-((1.0-params(8))*params(9)*(-((1.0-params(8))*(1.0-y(9)-params(15))^(1.0-params(8)-1.0)))/((1.0-params(8))*(1.0-params(8)))));
  g1(10, 12)=  g1(10, 12)+1.0;
  g1(10, 24)=  g1(10, 24)+(-params(2));
  g1(11, 12)=  g1(11, 12)+(-((1.0-params(7))*(1.0-params(2))*T389));
  g1(11, 21)=  g1(11, 21)+1.0;
  g1(11, 10)=  g1(11, 10)+(-(T389*(1.0-params(7))*T399));
  g1(12, 7)=  g1(12, 7)+(-(T164*T247));
  g1(12, 5)=  g1(12, 5)+y(10)^(-params(1))*(1.0-params(1))*T41;
  g1(12, 10)=  g1(12, 10)+T42*(-params(1))*y(10)^((-params(1))-1.0)-T163*T408;
  g1(12, 17)=  g1(12, 17)+(-(T164*T423));
  g1(13, 5)=  g1(13, 5)+(-(T41*y(10)^(1.0-params(1))));
  g1(13, 10)=  g1(13, 10)+(-(y(5)*T41*(1.0-params(1))*y(10)^(1.0-params(1)-1.0)));
  g1(13, 17)=  g1(13, 17)+1.0;
  g1(14, 15)=  g1(14, 15)+(-(T232/T174));
  g1(14, 17)=  g1(14, 17)+(-(T427/T174));
  g1(14, 16)=  g1(14, 16)+1.0;
  g1(15, 7)=  g1(15, 7)+(-((1.0-params(7))*(-((1.0-params(7))*(y(17)-y(7))^(1.0-params(7)-1.0)))/((1.0-params(7))*(1.0-params(7)))));
  g1(15, 10)=  g1(15, 10)+T399;
  g1(15, 17)=  g1(15, 17)+(-((1.0-params(7))*(1.0-params(7))*(y(17)-y(7))^(1.0-params(7)-1.0)/((1.0-params(7))*(1.0-params(7)))));
  g1(15, 13)=  g1(15, 13)+1.0;
  g1(15, 25)=  g1(15, 25)+(-params(2));
  g1(16, 11)=  g1(16, 11)+T360;
  g1(16, 8)=  g1(16, 8)+1.0;
  g1(16, 4)=  g1(16, 4)+(-(exp(x(it_, 3))*T196*params(6)*y(4)^(params(6)-1.0)));
  g1(16, 31)=  g1(16, 31)+(-T200);
  g1(17, 10)=  g1(17, 10)+(-(T204*(1.0-params(7))*T399*T416));
  g1(17, 13)=  g1(17, 13)+(-(T204*(1.0-params(7))*(1.0-params(2))*T416));
  g1(17, 20)=  g1(17, 20)+1.0;
end
if nargout >= 3,
  g2 = sparse([],[],[],17, 961, 4805);

	% 
	% Hessian matrix
	% 

  g2(1, 449) = (-T446);
  g2(1, 201) = T446;
  g2(1, 193) = T449;
  g2(1, 705) = (-(y(27)*params(2)*params(11)*params(16)*T17*(T17-1.0)*y(23)^(T17-1.0-1.0)));
  g2(1, 829) = (-(params(2)*params(11)*params(16)*T17*y(23)^(T17-1.0)));
  g2(2, 705) = (-(y(28)*params(2)*params(11)*T48*(T48-1.0)*y(23)^(T48-1.0-1.0)));
  g2(2, 263) = (-(T45*T45*(T45*params(9)*(-((-params(8))*(1.0-y(9)-params(15))^((-params(8))-1.0)))-T219*T286)/(T45*T45*T45*T45)));
  g2(2, 257) = (-((T45*T45*(T282*T286+T45*y(15)*params(9)*(-((-params(8))*(-(((-params(8))-1.0)*(1.0-y(9)-params(15))^((-params(8))-1.0-1.0)))))-(T282*T286+T35*T42*(-params(1))*((-params(1))-1.0)*y(9)^((-params(1))-1.0-1.0)))-(T45*T282-T35*T286)*(T45*T286+T45*T286))/(T45*T45*T45*T45)));
  g2(2, 139) = (-(T45*T45*(-(T219*T307))/(T45*T45*T45*T45)));
  g2(2, 133) = (-((T45*T45*(-(T282*T307+T35*(-params(1))*y(9)^((-params(1))-1.0)*(1.0-params(1))*T41))-(-(T35*T307))*(T45*T286+T45*T286))/(T45*T45*T45*T45)));
  g2(2, 129) = (-((-((-(T35*T307))*(T45*T307+T45*T307)))/(T45*T45*T45*T45)));
  g2(2, 860) = (-(params(2)*params(11)*T48*y(23)^(T48-1.0)));
  g2(3, 545) = (-((-((-(y(19)*(1.0+params(10))))*(y(18)+y(18))))/(y(18)*y(18)*y(18)*y(18))));
  g2(3, 576) = (-(((1.0+params(10))*y(18)*y(18)-y(18)*(1.0+params(10))*(y(18)+y(18)))/(y(18)*y(18)*y(18)*y(18))));
  g2(4, 417) = (-((1.0-params(11))*y(11)*T62*y(11)*(T62-1.0)*(y(14)*y(11))^(T62-1.0-1.0)));
  g2(4, 324) = (-((1.0-params(11))*(T324+y(14)*T62*y(11)*(T62-1.0)*(y(14)*y(11))^(T62-1.0-1.0))));
  g2(4, 321) = T62*(T62-1.0)*y(11)^(T62-1.0-1.0)-(1.0-params(11))*y(14)*T62*y(14)*(T62-1.0)*(y(14)*y(11))^(T62-1.0-1.0);
  g2(5, 257) = (-(T76*(1.0-params(1))*(1.0-params(1)-1.0)*y(9)^(1.0-params(1)-1.0-1.0)));
  g2(5, 133) = (-(T294*T41*y(6)^(-1.0)));
  g2(5, 164) = (-(T294*T41*y(5)*(-y(6)^((-1.0)-1.0))));
  g2(5, 160) = (-(T77*T41*(-y(6)^((-1.0)-1.0))));
  g2(5, 161) = (-(T77*T41*y(5)*(-(((-1.0)-1.0)*y(6)^((-1.0)-1.0-1.0)))));
  g2(6, 417) = (-((1.0-params(11))*T82*(T82-1.0)*y(14)^(T82-1.0-1.0)));
  g2(6, 321) = (-(y(2)*params(11)*(T342*(-((-params(16))*(y(11)+y(11))))/(y(11)*y(11)*y(11)*y(11))+(-params(16))/(y(11)*y(11))*T82*(-params(16))/(y(11)*y(11))*(T82-1.0)*(params(16)/y(11))^(T82-1.0-1.0))));
  g2(6, 42) = (-(params(11)*(-params(16))/(y(11)*y(11))*T342));
  g2(7, 129) = (-(T316*T316))/(T94*T94);
  g2(7, 1) = (-(params(4)*(-(T316*T316))/(T98*T98)));
  g2(8, 193) = (-(T236*T236))/(T106*T106);
  g2(8, 65) = (-(params(5)*(-(T236*T236))/(T110*T110)));
  g2(9, 449) = T613;
  g2(9, 201) = (-T613);
  g2(9, 193) = (-((-params(7))*(-(((-params(7))-1.0)*(y(15)-y(7))^((-params(7))-1.0-1.0)))));
  g2(9, 705) = (-(T125*params(2)*(-((-y(8))*(y(23)+y(23))))/(y(23)*y(23)*y(23)*y(23))));
  g2(9, 240) = (-(T125*params(2)*(y(23)*y(23)-y(23)*(y(23)+y(23)))/(y(23)*y(23)*y(23)*y(23))));
  g2(9, 798) = (-(T271*T380));
  g2(9, 783) = (-(params(2)*y(23)/(y(23)*y(23))*T380));
  g2(9, 801) = (-(T121*T638));
  g2(9, 674) = (-(T271*(-T380)));
  g2(9, 659) = (-(params(2)*y(23)/(y(23)*y(23))*(-T380)));
  g2(9, 677) = (-(T121*(-T638)));
  g2(9, 673) = (-(T121*(-((-params(7))*(-(((-params(7))-1.0)*(y(26)-y(22))^((-params(7))-1.0-1.0)))))));
  g2(10, 449) = (-((1.0-params(7))*(1.0-params(7))*(1.0-params(7))*T446/T655));
  g2(10, 201) = (-((1.0-params(7))*(1.0-params(7))*(1.0-params(7))*(-T446)/T655));
  g2(10, 193) = (-((1.0-params(7))*(1.0-params(7))*(1.0-params(7))*(-T449)/T655));
  g2(10, 257) = (-((1.0-params(8))*(1.0-params(8))*(1.0-params(8))*params(9)*(-((1.0-params(8))*(-((1.0-params(8)-1.0)*(1.0-y(9)-params(15))^(1.0-params(8)-1.0-1.0)))))/((1.0-params(8))*(1.0-params(8))*(1.0-params(8))*(1.0-params(8)))));
  g2(11, 353) = (-((1.0-params(7))*(1.0-params(2))*T683));
  g2(11, 291) = (-((1.0-params(7))*T399*T683));
  g2(11, 289) = (-((1.0-params(7))*T399*T152*(1.0-params(7))*T399*T681+T389*(1.0-params(7))*T699));
  g2(12, 193) = (-(T164*params(9)*(1.0+params(10))*y(17)*(-T709)));
  g2(12, 286) = (-(T247*T408));
  g2(12, 284) = (1.0-params(1))*T41*(-params(1))*y(10)^((-params(1))-1.0);
  g2(12, 289) = T42*(-params(1))*((-params(1))-1.0)*y(10)^((-params(1))-1.0-1.0)-T163*(-((-params(8))*(-(((-params(8))-1.0)*(1.0-y(10)-params(15))^((-params(8))-1.0-1.0)))));
  g2(12, 503) = (-(T164*params(9)*((1.0+params(10))*(-T244)+(1.0+params(10))*y(17)*T709)));
  g2(12, 506) = (-(T408*T423));
  g2(12, 513) = (-(T164*params(9)*((1.0+params(10))*T244+(1.0+params(10))*T244+(1.0+params(10))*y(17)*(params(7)-1.0)*(params(7)-1.0-1.0)*(y(17)-y(7))^(params(7)-1.0-1.0-1.0))));
  g2(13, 284) = (-(T41*(1.0-params(1))*y(10)^(1.0-params(1)-1.0)));
  g2(13, 289) = (-(y(5)*T41*(1.0-params(1))*(1.0-params(1)-1.0)*y(10)^(1.0-params(1)-1.0-1.0)));
  g2(14, 449) = (-((-(T232*T232))/(T174*T174)));
  g2(14, 511) = (-((T174*(-(y(17)*y(17)))/(y(17)*y(17)*y(17)*y(17))-T232*T427)/(T174*T174)));
  g2(14, 513) = (-((T174*(-((-y(15))*(y(17)+y(17))))/(y(17)*y(17)*y(17)*y(17))-T427*T427)/(T174*T174)));
  g2(15, 193) = (-((1.0-params(7))*(1.0-params(7))*(1.0-params(7))*(-T777)/T655));
  g2(15, 289) = T699;
  g2(15, 503) = (-((1.0-params(7))*(1.0-params(7))*(1.0-params(7))*T777/T655));
  g2(15, 513) = (-((1.0-params(7))*(1.0-params(7))*(1.0-params(7))*(1.0-params(7))*(1.0-params(7)-1.0)*(y(17)-y(7))^(1.0-params(7)-1.0-1.0)/T655));
  g2(16, 321) = (-(exp(x(it_, 3))*y(4)^params(6)*((1.0-params(6))*T194^(1.0-params(6)-1.0)*params(17)*params(16)/(params(16)*params(16))*params(3)*params(16)/(params(16)*params(16))*(params(3)-1.0)*(y(11)/params(16))^(params(3)-1.0-1.0)+T353*(1.0-params(6))*T353*(1.0-params(6)-1.0)*T194^(1.0-params(6)-1.0-1.0))));
  g2(16, 104) = (-(exp(x(it_, 3))*T353*(1.0-params(6))*T194^(1.0-params(6)-1.0)*params(6)*y(4)^(params(6)-1.0)));
  g2(16, 97) = (-(exp(x(it_, 3))*T196*params(6)*(params(6)-1.0)*y(4)^(params(6)-1.0-1.0)));
  g2(16, 941) = T360;
  g2(16, 934) = (-(exp(x(it_, 3))*T196*params(6)*y(4)^(params(6)-1.0)));
  g2(16, 961) = (-T200);
  g2(17, 289) = (-(T204*(T416*(1.0-params(7))*T699+(1.0-params(7))*T399*T823)));
  g2(17, 382) = (-(T204*(1.0-params(7))*(1.0-params(2))*T823));
  g2(17, 385) = (-(T204*(1.0-params(7))*(1.0-params(2))*T152*(1.0-params(7))*(1.0-params(2))*T821));
  g2(1, 441) = g2(1, 201);
  g2(1, 709) = g2(1, 829);
  g2(2, 443) = g2(2, 263);
  g2(2, 439) = g2(2, 139);
  g2(2, 253) = g2(2, 133);
  g2(2, 710) = g2(2, 860);
  g2(3, 546) = g2(3, 576);
  g2(4, 414) = g2(4, 324);
  g2(5, 253) = g2(5, 133);
  g2(5, 254) = g2(5, 164);
  g2(5, 130) = g2(5, 160);
  g2(6, 312) = g2(6, 42);
  g2(9, 441) = g2(9, 201);
  g2(9, 690) = g2(9, 240);
  g2(9, 708) = g2(9, 798);
  g2(9, 243) = g2(9, 783);
  g2(9, 704) = g2(9, 674);
  g2(9, 239) = g2(9, 659);
  g2(9, 797) = g2(9, 677);
  g2(10, 441) = g2(10, 201);
  g2(11, 351) = g2(11, 291);
  g2(12, 196) = g2(12, 286);
  g2(12, 134) = g2(12, 284);
  g2(12, 203) = g2(12, 503);
  g2(12, 296) = g2(12, 506);
  g2(13, 134) = g2(13, 284);
  g2(14, 451) = g2(14, 511);
  g2(15, 203) = g2(15, 503);
  g2(16, 314) = g2(16, 104);
  g2(16, 341) = g2(16, 941);
  g2(16, 124) = g2(16, 934);
  g2(17, 292) = g2(17, 382);
end;
