function [residual, g1, g2] = test7_static( y, x )
% 
% Status : Computes static model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ 
if M_.param_nbr > 0
  params = M_.params;
end
  residual = zeros( 2, 1);

	% 
	% Model equations
	% 

T18 = 1.0+params(1)*params(2)^4.0;
T30 = params(1)*4.0*params(2)^3.0;
T32 = T30*y(2)^3.0;
T65 = 2.0*(params(2)*y(2)*x(1))^(2.0-1.0);
T98 = 2.0*params(2)*x(1)*(2.0-1.0)*(params(2)*y(2)*x(1))^(2.0-1.0-1.0);
lhs =y(2);
rhs =params(2)*y(2)+x(1);
residual(1)= lhs-rhs;
lhs =params(1)*y(1)+y(1)-T18*y(2)^4.0-y(2)*params(2)*params(1)*4.0*x(1)^3.0-x(1)*T32-params(1)*6.0*(params(2)*y(2)*x(1))^2.0-params(1)*x(1)^4.0-x(2);
rhs =0.0;
residual(2)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(2, 2);

	% 
	% Jacobian matrix
	% 

  g1(1, 2)=  g1(1, 2)+1.0;
  g1(1, 2)=  g1(1, 2)+(-params(2));
  g1(2, 2)=  g1(2, 2)+(-(T18*4.0*y(2)^(4.0-1.0)))-params(2)*params(1)*4.0*x(1)^3.0-x(1)*T30*3.0*y(2)^(3.0-1.0)-params(1)*6.0*params(2)*x(1)*T65;
  g1(2, 1)=  g1(2, 1)+params(1);
  g1(2, 1)=  g1(2, 1)+1.0;
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
