function [theNames,ssVals,ffVals,rCodes,theTimes]=testsNow(tstStr)


easyTests=[fssInput('asset'),
fssInput('mod1a'),
fssInput('psd_exo3'),
fssInput('test7'),
fssInput('mod1b'),
fssInput('q3a2'),
fssInput('dm7'),
fssInput('mod1c'),
fssInput('q3a50'),
fssInput('example1'),
fssInput('mod1'),
fssInput('t_lag2a'),
fssInput('example2'),
fssInput('mod2a'),
fssInput('ramst'),
fssInput('ramst_a'),
fssInput('t_lag2b'),
fssInput('mod2b'),
fssInput('t_lag2_checka'),
fssInput('mod2c'),
fssInput('sw_euro'),
fssInput('t_lag2_check'),
fssInput('mod2'),
fssInput('test1'),
fssInput('t_lag2'),
fssInput('mod3a'),
fssInput('test2a'),
fssInput('t_periods_a'),
fssInput('test2'),
fssInput('t_periods'),
fssInput('lucas78'),
fssInput('test3'),
fssInput('t_sgu_ex1'),
fssInput('portfolio4'),
fssInput('test4'),
fssInput('variance_0'),
fssInput('test5'),
fssInput('portfolio'),
fssInput('fs2000'),
fssInput('m_0_3_0_0_0_0_0_0'),
fssInput('m_1_3_0_0_0_0_0_0'),
fssInput('judd'),
fssInput('judd_norm'),
fssInput('test6')
];

hardTests=[
fssInput('m_1_3_0_0_0_0_0_1',[15,10000]),
fssInput('test_matlab',[15,10000]),%fails check for both dynare steady and dynareFindSteadyState
fssInput('sedmodel1',[50,10000]),
fssInput('or0a',[50,10000]),
fssInput('test',[50,10000])%fails check for both dynare steady and dynareFindSteadyState
];


hardestTests=[
fssInput('czech2',[15,10000]),
fssInput('portfolio4_norm',[15,10000])
];


%appear to be ss growth
%fssInput('fs2000a',[15,10000]),
%fssInput('fs2000b',[15,10000]),



switch tstStr
case 'hardest'
'doing hardest tests'
theTests=hardestTests;
case 'hard'
'doing hard tests'
theTests=hardTests;
otherwise
'doing easy tests'
theTests=easyTests;
end
numTests=length(theTests);
rCodes=zeros(1,numTests);
theTimes=zeros(1,numTests);
ssVals=cell(1,numTests);
ffVals=cell(1,numTests);
theNames=cell(1,numTests);

%[tNames,sVals,fVals,rCodes]=testsNow()

for(ii=1:numTests)
[theNames{ii},ssVals{ii},ffVals{ii},rCodes(ii),theTimes(ii)]=doMod(theTests(ii,:));
end

function  [theName,ssVal,ffVal,rc,aTime]=doMod(theQuad)
%eval(['dynare ' theQuad{1}])
try
disp(theQuad);
[nmVal,ssVal,ffVal,rc,aTime]=feval(@dynareFindSteadyState,theQuad);
theName=nmVal;
ffVal=norm(ffVal);
catch
disp('doMod: failed for these args')
theQuad
theName=getModelName(theQuad);
ssVal=0;ffVal=0;rc=0;aTime=0;
end

%addpath ~/scratch/dynare_v4/matlab
%forFs2000=varRange('e',1,1)+varRange('n',0.1,.5)+varRange('.*obs',0,2)+varRange('[ykp]',0.1,10)+varRange('[ld]',1,1)+aRange(0.1,1.5)

%dynare fs2000
%forFs2000=varRange('e',1,1)+varRange('[yk]',0.1,10)
%[theMod,xVals,fVals,rc,tm]=dynareFindSteadyState(true,[50,10000],forFs2000);


%dynare m_0_3_0_0_0_0_0_0
%forM_03=varRange('lambda',1,1)
%[theMod,xVals,fVals,rc]=dynareFindSteadyState(1,10000,5,forM_03);




%dynare m_1_3_0_0_0_0_0_0
%forM_13=varRange('lambda',1,1)+varRange('a.',1,1)
%[theMod,xVals,fVals,rc]=dynareFindSteadyState(1,10000,5,forM_13);


%dynare m_1_3_0_0_0_0_0_1
%forM_13=varRange('lambda',1,1)+varRange('[alk].',1,1)+varRange('[ci].',.02,.03)+aRange(0.0,0.01)
%[theMod,xVals,fVals,rc]=dynareFindSteadyState(1,10000,5,forM_13);










%not default

%dynare sedmodel1
%[theMod,xVals,fVals,rc]=dynareFindSteadyState('sedmodel1',true,[50,10000],15);


%dynare or0a
%[theMod,xVals,fVals,rc]=dynareFindSteadyState('or0a',true,[50,10000],15);




%pgamma=0.7;pbeta=0.95;
%forPort4=varRange('C',0.1,1)+varRange('D.',.1,.1)+...
%varRange('DOTQ',0.01,1.5)+varRange('V',...
%((0.1^(1-pgamma)/(1-pgamma))/(1- pbeta))-1,...
%((0.1^(1-pgamma)/(1-pgamma))/(1- pbeta))+1)
%[theMod,xVals,fVals,rc,tm]=...
%dynareFindSteadyState('portfolio4_norm',forPort4);







%dynare czech2
%forCz=varRange('E_.*',0,0)+varRange('BIGGAM.*',0)+varRange('BIGGAM_.*',1)+varRange('BIGGAMIMP.*',1)+varRange('Z_.*',1)+varRange('Z_.*',1)+varRange('CH',0.5,1.0)+varRange('HH',0.0,0.5)+varRange('CF',0.5,1.0)+varRange('HF',0.0,0.5)+varRange('XI',0,0.01)+varRange('ZZ.*',-100,100)+aRange(0,3)+varRange('VALUE',-3,3)+varRange('DEPEX',1)
%forCz=setSomeValues({'REALB.','ZZ_DRNOMEU','GDPGAP.*','BIG.*','XI','ZBF','ZBH','ZEYE.','ZN.','ZT.','ZU.','ZZ_D.*',1,'BIGGAMMI.*','PSIPRIME.',11,'CAPA.*'})+...
setSomeValues({[1 1.2],'PIE.*'})+...
aRange(0.1,20)
%[theMod,xVals,fVals,rc]=dynareFindSteadyState(1,100000,500,forCz);
%
%
%[theMod,xVals,fVals,rc]=dynareFindSteadyState([15,10000],forCz);




%golly=...
%varRange('DOTQ', 		 1.06463, 		 1.06463)+...
%varRange('Q1',   		 0.0769231,   		 0.0769231)+...
%varRange('Q2',   		 0.153846,   		 0.153846)+...
%varRange('Q3',   		 0.25641,   		 0.25641)+...
%varRange('Q4',   		 0.512821,   		 0.512821)+...
%varRange('X1',   		 0.00497612,   		 0.00497612)+...
%varRange('X2',   		 0.00995223,   		 0.00995223)+...
%varRange('X3',   		 0.0165871,   		 0.0165871)+...
%varRange('X4',   		 0.0331741,   		 0.0331741)+...
%varRange('C',    		 0.0353105,    		 0.0353105)+...
%varRange('D1',   		 0.1,   		 0.1)+...
%varRange('D2',   		 0.1,   		 0.1)+...
%varRange('D3',   		 0.1,   		 0.1)+...
%varRange('D4',   		 0.1,   		 0.1)+...
%varRange('V',    		 24.4501,    		 24.4501);

%from czech2 init val
%initval; 
%AF=2.17350447531715;
%AH=2.61461230039988;
%BIGGAMF=0;
%BIGGAMH=0;
%BIGGAMIMPF=1;
%BIGGAMIMPH=1;
%BIGGAMMF=0;
%BIGGAMMH=0;
%BIGGAMNF=0;
%BIGGAMNH=0;
%BIGGAMQF=0;
%BIGGAMQH=0;
%BIGGAM_MONF=1;
%BIGGAM_MONH=1;
%BIGGAM_MOTF=1;
%BIGGAM_MOTH=1;
%BIGGAM_O_NF=1;
%BIGGAM_O_NH=1;
%BIGGAM_O_TF=1;
%BIGGAM_O_TH=1;
%CAPAF=11;
%CAPAH=11;
%CF=1.77599320017707;
%CF_NAT=1.77797456682707;
%CH=2.10139281352027;
%CH_NAT=2.10373720855446;
%CURBALF_RAT=2.20209042676066e-018;
%CURBALH_RAT=0;
%DEEF=0.963834712172592;
%DEEH=0.963834712172592;
%DEPEX=1;
%EXPORTSF=0.0374229290542059;
%EXPORTSF_NAT=0.0374229290542059;
%EXPORTSH=0.976573287861717;
%EXPORTSH_NAT=0.976573287861717;
%EYEF=0.27477965986135;
%EYEH=0.365618852934316;
%GAF=0.12075024862873;
%GAH=0.145256238911104;
%GAMMAF=0.5;
%GAMMAH=0.25;
%GDPF=2.41500497257461;
%GDPF_NAT=2.41500497257461;
%GDPGAPF=0;
%GDPGAPH=0;
%GDPH=2.90512477822209;
%GDPH_NAT=2.90512477822209;
%GF_NAT=0.362250745886191;
%GH_NAT=0.435768716733313;
%GNF=0.287269571519256;
%GNH=0.321902361090147;
%HF=1.68719354016822;
%HH=1.99632317284426;
%IMPORTSF=0.0374229290542059;
%IMPORTSF_NAT=0.0374229290542059;
%IMPORTSH=0.976573287861718;
%IMPORTSH_NAT=0.976573287861718;
%KF=10.991186394454;
%KH=14.6247541173726;
%KNF=6.33686501417153;
%KNF_RAT=22.6981730731029;
%KNH=11.034700665508;
%KNH_RAT=22.8755992006951;
%KTF=2.97137434524903;
%KTF_RAT=22.6981730731029;
%KTH=2.23720856941572;
%KTH_RAT=114.377996003476;
%K_OF=1.68294703503345;
%K_OF_RAT=7.27127622255245;
%K_OH=1.35284488244891;
%K_OH_RAT=8.16985685739111;
%LANDF=0.1;
%LANDH=0.1;
%LF=0.64153899810027;
%LH=0.667528221502678;
%LNF=0.279179517830034;
%LNH=0.482378650224502;
%LTF=0.130908083909629;
%LTH=0.019559781143112;
%L_OF=0.231451396360608;
%L_OH=0.165589790135064;
%MARGUTF=2.24145263303312;
%MARGUTH=2.11921125101343;
%MF=0.0196445696804563;
%MF_NAT=0.0171196449669319;
%MH=0.438784845846124;
%MH_NAT=0.522472906750236;
%M_ONF=0.0143006671963624;
%M_ONH=0.134410532365428;
%M_OTF=0.00670562423725087;
%M_OTH=0.143002828997546;
%NF=1.91582345366461;
%NH=2.609674642079;
%NNF=1.31534385473198;
%NNH=2.19524942542191;
%O_NF=0.387338325509274;
%O_NH=0.147043832240678;
%O_TF=0.18162406186278;
%O_TH=0.148205762233076;
%PIE4F=1.125;
%PIE4H=1.125;
%PIE4TARF=1.125;
%PIE4TARH=1.125;
%PIEBARMF=1.02988357195356;
%PIEBARMH=1.02988357195356;
%PIEBARQF=1.02988357195356;
%PIEBARQH=1.02988357195356;
%PIEF=1.02988357195356;
%PIEF_1=1.02988357195356;
%PIEF_2=1.02988357195356;
%PIEH=1.02988357195356;
%PIEH_1=1.02988357195356;
%PIEH_2=1.02988357195356;
%PIENF=1.02988357195356;
%PIENH=1.02988357195356;
%PIEWF=1.02988357195356;
%PIEWH=1.02988357195356;
%PSIF=0.025;
%PSIH=0.025;
%PSIPRIMEF=1;
%PSIPRIMEH=1;
%QF=0.875241222929181;
%QH=0.0238294319885835;
%Q_ONF=0.373740369418894;
%Q_ONH=0.0132636199615755;
%Q_OTF=0.175247940896905;
%Q_OTH=0.00547180886242481;
%REALBF=0;
%REALBH=0;
%REALBH_1=0;
%REALEX=1.3734519289908;
%REALEXF=0.728092464608345;
%REALEXH=1.3734519289908;
%REALFINH=0;
%REALMCNF=0.700562935771035;
%REALMCNH=0.752071934789911;
%REALMCTF=0.700562935771035;
%REALMCTH=0.930081384894704;
%REALMONEYF=0.558667031035572;
%REALMONEYH=0.661026677383566;
%REALPBARMF=0.87146958398196;
%REALPBARMH=1.19072687148694;
%REALPBARQF=0.899522809530009;
%REALPBARQH=1.15219711474356;
%REALPLANDF=0.554831427212494;
%REALPLANDH=0.414697221827051;
%REALPMF=1.16570601700579;
%REALPMH=1.37122413583652;
%REALPNF=0.840675522925242;
%REALPNH=0.902486321747893;
%REALPQF=1.19375924255384;
%REALPQH=1.33269437909314;
%REALPXF=1.19317131724075;
%REALPXH=1.36926881180313;
%REALP_MOF=0.966533486000563;
%REALP_MOH=1.63690883121281;
%REALP_ONF=1.18566549908199;
%REALP_ONH=1.61601524261254;
%REALP_OTF=1.18566549908199;
%REALP_OTH=1.62845456685201;
%REALP_QOF=1.1918209852569;
%REALP_QOH=1.32748728078168;
%REALRF=0.0324170717777328;
%REALRH=0.0324170717777329;
%REALTBALF=-6.93889390390723e-018;
%REALTBALH=-6.93889390390723e-018;
%REALWF=2.42667732699502;
%REALWH=2.83454771236558;
%RNOMF=1.03752229232945;
%RNOMH=1.03752229232945;
%SHOPF=0.00111563864647424;
%SHOPH=0.00111563864647424;
%SHOPPRIMEF=0.00357861859467432;
%SHOPPRIMEH=0.00357861859467432;
%TF=0.89833516218424;
%TH=0.397076255917254;
%T_OF=0.563589013545429;
%T_OH=0.417854966062653;
%VALUE=-2.621110285550203e+02;
%VALUE2=2.305114066037580e+02;
%VELOF=3.17898336847443;
%VELOH=3.17898336847443;
%VPRIMEF=3.62618818940983;
%VPRIMEH=4.00467026905301;
%XF_NAT=0.0200215045456245;
%XH_NAT=0.446747178665936;
%XI=0;
%ZBF=0;
%ZBH=0;
%ZEYEF=0;
%ZEYEH=0;
%ZNF=1;
%ZNH=1;
%ZTF=1;
%ZTH=0.6;
%ZUF=1;
%ZUH=1;
%ZZ_CF=57.5474832617676;
%ZZ_CH=74.3715386197541;
%ZZ_CURBALF_RAT=2.20209042676066e-016;
%ZZ_CURBALH_RAT=0;
%ZZ_C_SHARF=0.735399396831762;
%ZZ_C_SHARH=0.723339950584259;
%ZZ_DPIE4F=0;
%ZZ_DPIE4H=0;
%ZZ_DRNOMF=0;
%ZZ_DRNOMH=0;
%ZZ_EXPORTSF=-328.547168610049;
%ZZ_EXPORTSH=-2.37054799079326;
%ZZ_EYEF=-129.17857393452;
%ZZ_EYEH=-100.616387362469;
%ZZ_EYE_SHARF=0.113780163180538;
%ZZ_EYE_SHARH=0.12585306341233;
%ZZ_GDPF=88.1701346139521;
%ZZ_GDPH=106.647634229781;
%ZZ_GDP_PPP_RATH=0.875857186130553;
%ZZ_GF=-101.541863874636;
%ZZ_GH=-83.0643642588075;
%ZZ_IMPORTSF=-328.547168610049;
%ZZ_IMPORTSH=-2.37054799079323;
%ZZ_M_ON_SHARF=0.0063593490946998;
%ZZ_M_ON_SHARH=0.084149297164759;
%ZZ_M_OT_SHARF=0.00298191719568198;
%ZZ_M_OT_SHARH=0.0895286056899133;
%ZZ_M_O_SHARF=0.00934126629038178;
%ZZ_M_O_SHARH=0.173677902854672;
%ZZ_M_SHARF=0.00787651700806085;
%ZZ_M_SHARH=0.19982806118916;
%ZZ_N_SHARF=0.741008772713445;
%ZZ_N_SHARH=0.90078198910348;
%ZZ_PIE4F=12.5;
%ZZ_PIE4H=12.5;
%ZZ_REALEX=31.7327227026121;
%ZZ_RNOMF=15.8749999999999;
%ZZ_RNOMH=15.8749999999999;
%ZZ_UTILITYF=-1.86610854895021;
%ZZ_UTILITYH=-1.9297829736965;
%ZZ_XBALF_TOT_RAT=0;
%ZZ_XBALH_TOT_RAT=-7.6432037132987e-015;
%Z_OF=1;
%Z_OH=1;
%
%E_ZBH=0;
%
%E_ZUH=0;
%E_ZUF=0;
%
%E_ZEYEH=0;
%E_ZEYEF=0;
%
%E_GAMMAH=0;
%E_GAMMAF=0;
%
%E_LANDH=0;
%E_LANDF=0;
%
%E_GAH = 0;
%E_GAF = 0;
%
%E_CAPAH=0;
%E_CAPAF=0;
%
%ZZ_PIE4EU= 12.5;
%ZZ_RNOMEU=15.8749999999999;
%GDPGAPEU= 0;
%ZZ_DRNOMEU=0;
%PIE4EU = 1.125;
%end;    
%

%initval; 
forCzech=varRange('AF',2.17350447531715,2.17350447531715)+...
varRange('AH',2.61461230039988,2.61461230039988)+...
varRange('BIGGAMF',0,0)+...
varRange('BIGGAMH',0,0)+...
varRange('BIGGAMIMPF',1,1)+...
varRange('BIGGAMIMPH',1,1)+...
varRange('BIGGAMMF',0,0)+...
varRange('BIGGAMMH',0,0)+...
varRange('BIGGAMNF',0,0)+...
varRange('BIGGAMNH',0,0)+...
varRange('BIGGAMQF',0,0)+...
varRange('BIGGAMQH',0,0)+...
varRange('BIGGAM_MONF',1,1)+...
varRange('BIGGAM_MONH',1,1)+...
varRange('BIGGAM_MOTF',1,1)+...
varRange('BIGGAM_MOTH',1,1)+...
varRange('BIGGAM_O_NF',1,1)+...
varRange('BIGGAM_O_NH',1,1)+...
varRange('BIGGAM_O_TF',1,1)+...
varRange('BIGGAM_O_TH',1,1)+...
varRange('CAPAF',11,11)+...
varRange('CAPAH',11,11)+...
varRange('CF',1.77599320017707,1.77599320017707)+...
varRange('CF_NAT',1.77797456682707,1.77797456682707)+...
varRange('CH',2.10139281352027,2.10139281352027)+...
varRange('CH_NAT',2.10373720855446,2.10373720855446)+...
varRange('CURBALF_RAT',2.20209042676066e-018,2.20209042676066e-018)+...
varRange('CURBALH_RAT',0,0)+...
varRange('DEEF',0.963834712172592,0.963834712172592)+...
varRange('DEEH',0.963834712172592,0.963834712172592)+...
varRange('DEPEX',1,1)+...
varRange('EXPORTSF',0.0374229290542059,0.0374229290542059)+...
varRange('EXPORTSF_NAT',0.0374229290542059,0.0374229290542059)+...
varRange('EXPORTSH',0.976573287861717,0.976573287861717)+...
varRange('EXPORTSH_NAT',0.976573287861717,0.976573287861717)+...
varRange('EYEF',0.27477965986135,0.27477965986135)+...
varRange('EYEH',0.365618852934316,0.365618852934316)+...
varRange('GAF',0.12075024862873,0.12075024862873)+...
varRange('GAH',0.145256238911104,0.145256238911104)+...
varRange('GAMMAF',0.5,0.5)+...
varRange('GAMMAH',0.25,0.25)+...
varRange('GDPF',2.41500497257461,2.41500497257461)+...
varRange('GDPF_NAT',2.41500497257461,2.41500497257461)+...
varRange('GDPGAPF',0,0)+...
varRange('GDPGAPH',0,0)+...
varRange('GDPH',2.90512477822209,2.90512477822209)+...
varRange('GDPH_NAT',2.90512477822209,2.90512477822209)+...
varRange('GF_NAT',0.362250745886191,0.362250745886191)+...
varRange('GH_NAT',0.435768716733313,0.435768716733313)+...
varRange('GNF',0.287269571519256,0.287269571519256)+...
varRange('GNH',0.321902361090147,0.321902361090147)+...
varRange('HF',1.68719354016822,1.68719354016822)+...
varRange('HH',1.99632317284426,1.99632317284426)+...
varRange('IMPORTSF',0.0374229290542059,0.0374229290542059)+...
varRange('IMPORTSF_NAT',0.0374229290542059,0.0374229290542059)+...
varRange('IMPORTSH',0.976573287861718,0.976573287861718)+...
varRange('IMPORTSH_NAT',0.976573287861718,0.976573287861718)+...
varRange('KF',10.991186394454,10.991186394454)+...
varRange('KH',14.6247541173726,14.6247541173726)+...
varRange('KNF',6.33686501417153,6.33686501417153)+...
varRange('KNF_RAT',22.6981730731029,22.6981730731029)+...
varRange('KNH',11.034700665508,11.034700665508)+...
varRange('KNH_RAT',22.8755992006951,22.8755992006951)+...
varRange('KTF',2.97137434524903,2.97137434524903)+...
varRange('KTF_RAT',22.6981730731029,22.6981730731029)+...
varRange('KTH',2.23720856941572,2.23720856941572)+...
varRange('KTH_RAT',114.377996003476,114.377996003476)+...
varRange('K_OF',1.68294703503345,1.68294703503345)+...
varRange('K_OF_RAT',7.27127622255245,7.27127622255245)+...
varRange('K_OH',1.35284488244891,1.35284488244891)+...
varRange('K_OH_RAT',8.16985685739111,8.16985685739111)+...
varRange('LANDF',0.1,0.1)+...
varRange('LANDH',0.1,0.1)+...
varRange('LF',0.64153899810027,0.64153899810027)+...
varRange('LH',0.667528221502678,0.667528221502678)+...
varRange('LNF',0.279179517830034,0.279179517830034)+...
varRange('LNH',0.482378650224502,0.482378650224502)+...
varRange('LTF',0.130908083909629,0.130908083909629)+...
varRange('LTH',0.019559781143112,0.019559781143112)+...
varRange('L_OF',0.231451396360608,0.231451396360608)+...
varRange('L_OH',0.165589790135064,0.165589790135064)+...
varRange('MARGUTF',2.24145263303312,2.24145263303312)+...
varRange('MARGUTH',2.11921125101343,2.11921125101343)+...
varRange('MF',0.0196445696804563,0.0196445696804563)+...
varRange('MF_NAT',0.0171196449669319,0.0171196449669319)+...
varRange('MH',0.438784845846124,0.438784845846124)+...
varRange('MH_NAT',0.522472906750236,0.522472906750236)+...
varRange('M_ONF',0.0143006671963624,0.0143006671963624)+...
varRange('M_ONH',0.134410532365428,0.134410532365428)+...
varRange('M_OTF',0.00670562423725087,0.00670562423725087)+...
varRange('M_OTH',0.143002828997546,0.143002828997546)+...
varRange('NF',1.91582345366461,1.91582345366461)+...
varRange('NH',2.609674642079,2.609674642079)+...
varRange('NNF',1.31534385473198,1.31534385473198)+...
varRange('NNH',2.19524942542191,2.19524942542191)+...
varRange('O_NF',0.387338325509274,0.387338325509274)+...
varRange('O_NH',0.147043832240678,0.147043832240678)+...
varRange('O_TF',0.18162406186278,0.18162406186278)+...
varRange('O_TH',0.148205762233076,0.148205762233076)+...
varRange('PIE4F',1.125,1.125)+...
varRange('PIE4H',1.125,1.125)+...
varRange('PIE4TARF',1.125,1.125)+...
varRange('PIE4TARH',1.125,1.125)+...
varRange('PIEBARMF',1.02988357195356,1.02988357195356)+...
varRange('PIEBARMH',1.02988357195356,1.02988357195356)+...
varRange('PIEBARQF',1.02988357195356,1.02988357195356)+...
varRange('PIEBARQH',1.02988357195356,1.02988357195356)+...
varRange('PIEF',1.02988357195356,1.02988357195356)+...
varRange('PIEF_1',1.02988357195356,1.02988357195356)+...
varRange('PIEF_2',1.02988357195356,1.02988357195356)+...
varRange('PIEH',1.02988357195356,1.02988357195356)+...
varRange('PIEH_1',1.02988357195356,1.02988357195356)+...
varRange('PIEH_2',1.02988357195356,1.02988357195356)+...
varRange('PIENF',1.02988357195356,1.02988357195356)+...
varRange('PIENH',1.02988357195356,1.02988357195356)+...
varRange('PIEWF',1.02988357195356,1.02988357195356)+...
varRange('PIEWH',1.02988357195356,1.02988357195356)+...
varRange('PSIF',0.025,0.025)+...
varRange('PSIH',0.025,0.025)+...
varRange('PSIPRIMEF',1,1)+...
varRange('PSIPRIMEH',1,1)+...
varRange('QF',0.875241222929181,0.875241222929181)+...
varRange('QH',0.0238294319885835,0.0238294319885835)+...
varRange('Q_ONF',0.373740369418894,0.373740369418894)+...
varRange('Q_ONH',0.0132636199615755,0.0132636199615755)+...
varRange('Q_OTF',0.175247940896905,0.175247940896905)+...
varRange('Q_OTH',0.00547180886242481,0.00547180886242481)+...
varRange('REALBF',0,0)+...
varRange('REALBH',0,0)+...
varRange('REALBH_1',0,0)+...
varRange('REALEX',1.3734519289908,1.3734519289908)+...
varRange('REALEXF',0.728092464608345,0.728092464608345)+...
varRange('REALEXH',1.3734519289908,1.3734519289908)+...
varRange('REALFINH',0,0)+...
varRange('REALMCNF',0.700562935771035,0.700562935771035)+...
varRange('REALMCNH',0.752071934789911,0.752071934789911)+...
varRange('REALMCTF',0.700562935771035,0.700562935771035)+...
varRange('REALMCTH',0.930081384894704,0.930081384894704)+...
varRange('REALMONEYF',0.558667031035572,0.558667031035572)+...
varRange('REALMONEYH',0.661026677383566,0.661026677383566)+...
varRange('REALPBARMF',0.87146958398196,0.87146958398196)+...
varRange('REALPBARMH',1.19072687148694,1.19072687148694)+...
varRange('REALPBARQF',0.899522809530009,0.899522809530009)+...
varRange('REALPBARQH',1.15219711474356,1.15219711474356)+...
varRange('REALPLANDF',0.554831427212494,0.554831427212494)+...
varRange('REALPLANDH',0.414697221827051,0.414697221827051)+...
varRange('REALPMF',1.16570601700579,1.16570601700579)+...
varRange('REALPMH',1.37122413583652,1.37122413583652)+...
varRange('REALPNF',0.840675522925242,0.840675522925242)+...
varRange('REALPNH',0.902486321747893,0.902486321747893)+...
varRange('REALPQF',1.19375924255384,1.19375924255384)+...
varRange('REALPQH',1.33269437909314,1.33269437909314)+...
varRange('REALPXF',1.19317131724075,1.19317131724075)+...
varRange('REALPXH',1.36926881180313,1.36926881180313)+...
varRange('REALP_MOF',0.966533486000563,0.966533486000563)+...
varRange('REALP_MOH',1.63690883121281,1.63690883121281)+...
varRange('REALP_ONF',1.18566549908199,1.18566549908199)+...
varRange('REALP_ONH',1.61601524261254,1.61601524261254)+...
varRange('REALP_OTF',1.18566549908199,1.18566549908199)+...
varRange('REALP_OTH',1.62845456685201,1.62845456685201)+...
varRange('REALP_QOF',1.1918209852569,1.1918209852569)+...
varRange('REALP_QOH',1.32748728078168,1.32748728078168)+...
varRange('REALRF',0.0324170717777328,0.0324170717777328)+...
varRange('REALRH',0.0324170717777329,0.0324170717777329)+...
varRange('REALTBALF',-6.93889390390723e-018,-6.93889390390723e-018)+...
varRange('REALTBALH',-6.93889390390723e-018,-6.93889390390723e-018)+...
varRange('REALWF',2.42667732699502,2.42667732699502)+...
varRange('REALWH',2.83454771236558,2.83454771236558)+...
varRange('RNOMF',1.03752229232945,1.03752229232945)+...
varRange('RNOMH',1.03752229232945,1.03752229232945)+...
varRange('SHOPF',0.00111563864647424,0.00111563864647424)+...
varRange('SHOPH',0.00111563864647424,0.00111563864647424)+...
varRange('SHOPPRIMEF',0.00357861859467432,0.00357861859467432)+...
varRange('SHOPPRIMEH',0.00357861859467432,0.00357861859467432)+...
varRange('TF',0.89833516218424,0.89833516218424)+...
varRange('TH',0.397076255917254,0.397076255917254)+...
varRange('T_OF',0.563589013545429,0.563589013545429)+...
varRange('T_OH',0.417854966062653,0.417854966062653)+...
varRange('VALUE',-2.621110285550203e+02,-2.621110285550203e+02)+...
varRange('VALUE2',2.305114066037580e+02,2.305114066037580e+02)+...
varRange('VELOF',3.17898336847443,3.17898336847443)+...
varRange('VELOH',3.17898336847443,3.17898336847443)+...
varRange('VPRIMEF',3.62618818940983,3.62618818940983)+...
varRange('VPRIMEH',4.00467026905301,4.00467026905301)+...
varRange('XF_NAT',0.0200215045456245,0.0200215045456245)+...
varRange('XH_NAT',0.446747178665936,0.446747178665936)+...
varRange('XI',0,0)+...
varRange('ZBF',0,0)+...
varRange('ZBH',0,0)+...
varRange('ZEYEF',0,0)+...
varRange('ZEYEH',0,0)+...
varRange('ZNF',1,1)+...
varRange('ZNH',1,1)+...
varRange('ZTF',1,1)+...
varRange('ZTH',0.6,0.6)+...
varRange('ZUF',1,1)+...
varRange('ZUH',1,1)+...
varRange('ZZ_CF',57.5474832617676,57.5474832617676)+...
varRange('ZZ_CH',74.3715386197541,74.3715386197541)+...
varRange('ZZ_CURBALF_RAT',2.20209042676066e-016,2.20209042676066e-016)+...
varRange('ZZ_CURBALH_RAT',0,0)+...
varRange('ZZ_C_SHARF',0.735399396831762,0.735399396831762)+...
varRange('ZZ_C_SHARH',0.723339950584259,0.723339950584259)+...
varRange('ZZ_DPIE4F',0,0)+...
varRange('ZZ_DPIE4H',0,0)+...
varRange('ZZ_DRNOMF',0,0)+...
varRange('ZZ_DRNOMH',0,0)+...
varRange('ZZ_EXPORTSF',-328.547168610049,-328.547168610049)+...
varRange('ZZ_EXPORTSH',-2.37054799079326,-2.37054799079326)+...
varRange('ZZ_EYEF',-129.17857393452,-129.17857393452)+...
varRange('ZZ_EYEH',-100.616387362469,-100.616387362469)+...
varRange('ZZ_EYE_SHARF',0.113780163180538,0.113780163180538)+...
varRange('ZZ_EYE_SHARH',0.12585306341233,0.12585306341233)+...
varRange('ZZ_GDPF',88.1701346139521,88.1701346139521)+...
varRange('ZZ_GDPH',106.647634229781,106.647634229781)+...
varRange('ZZ_GDP_PPP_RATH',0.875857186130553,0.875857186130553)+...
varRange('ZZ_GF',-101.541863874636,-101.541863874636)+...
varRange('ZZ_GH',-83.0643642588075,-83.0643642588075)+...
varRange('ZZ_IMPORTSF',-328.547168610049,-328.547168610049)+...
varRange('ZZ_IMPORTSH',-2.37054799079323,-2.37054799079323)+...
varRange('ZZ_M_ON_SHARF',0.0063593490946998,0.0063593490946998)+...
varRange('ZZ_M_ON_SHARH',0.084149297164759,0.084149297164759)+...
varRange('ZZ_M_OT_SHARF',0.00298191719568198,0.00298191719568198)+...
varRange('ZZ_M_OT_SHARH',0.0895286056899133,0.0895286056899133)+...
varRange('ZZ_M_O_SHARF',0.00934126629038178,0.00934126629038178)+...
varRange('ZZ_M_O_SHARH',0.173677902854672,0.173677902854672)+...
varRange('ZZ_M_SHARF',0.00787651700806085,0.00787651700806085)+...
varRange('ZZ_M_SHARH',0.19982806118916,0.19982806118916)+...
varRange('ZZ_N_SHARF',0.741008772713445,0.741008772713445)+...
varRange('ZZ_N_SHARH',0.90078198910348,0.90078198910348)+...
varRange('ZZ_PIE4F',12.5,12.5)+...
varRange('ZZ_PIE4H',12.5,12.5)+...
varRange('ZZ_REALEX',31.7327227026121,31.7327227026121)+...
varRange('ZZ_RNOMF',15.8749999999999,15.8749999999999)+...
varRange('ZZ_RNOMH',15.8749999999999,15.8749999999999)+...
varRange('ZZ_UTILITYF',-1.86610854895021,-1.86610854895021)+...
varRange('ZZ_UTILITYH',-1.9297829736965,-1.9297829736965)+...
varRange('ZZ_XBALF_TOT_RAT',0,0)+...
varRange('ZZ_XBALH_TOT_RAT',-7.6432037132987e-015,-7.6432037132987e-015)+...
varRange('Z_OF',1,1)+...
varRange('Z_OH',1,1)+...
varRange('E_ZBH',0,0)+...
varRange('E_ZUH',0,0)+...
varRange('E_ZUF',0,0)+...
varRange('E_ZEYEH',0,0)+...
varRange('E_ZEYEF',0,0)+...
varRange('E_GAMMAH',0,0)+...
varRange('E_GAMMAF',0,0)+...
varRange('E_LANDH',0,0)+...
varRange('E_LANDF',0,0)+...
varRange('E_GAH ', 0, 0)+...
varRange('E_GAF ', 0, 0)+...
varRange('E_CAPAH',0,0)+...
varRange('E_CAPAF',0,0)+...
varRange('ZZ_PIE4EU', 12.5, 12.5)+...
varRange('ZZ_RNOMEU',15.8749999999999,15.8749999999999)+...
varRange('GDPGAPEU', 0, 0)+...
varRange('ZZ_DRNOMEU',0,0)+...
varRange('PIE4EU ', 1.125, 1.125);



%from dynare ss
dynCzech=...
varRange('PIE4EU',           		 1.125,           		 1.125)+...
varRange('ZZ_PIE4EU',        		 12.5,        		 12.5)+...
varRange('ZZ_RNOMEU',        		 15.875,        		 15.875)+...
varRange('GDPGAPEU',         		 0,         		 0)+...
varRange('ZZ_DRNOMEU',       		 0,       		 0)+...
varRange('AF',               		 2.1735,               		 2.1735)+...
varRange('AH',               		 2.61461,               		 2.61461)+...
varRange('BIGGAMF',          		 0,          		 0)+...
varRange('BIGGAMH',          		 0,          		 0)+...
varRange('BIGGAMIMPF',       		 1,       		 1)+...
varRange('BIGGAMIMPH',       		 1,       		 1)+...
varRange('BIGGAMMF',         		 0,         		 0)+...
varRange('BIGGAMMH',         		 0,         		 0)+...
varRange('BIGGAMNF',         		 0,         		 0)+...
varRange('BIGGAMNH',         		 0,         		 0)+...
varRange('BIGGAMQF',         		 0,         		 0)+...
varRange('BIGGAMQH',         		 0,         		 0)+...
varRange('BIGGAM_MONF',      		 1,      		 1)+...
varRange('BIGGAM_MONH',      		 1,      		 1)+...
varRange('BIGGAM_MOTF',      		 1,      		 1)+...
varRange('BIGGAM_MOTH',      		 1,      		 1)+...
varRange('BIGGAM_O_NF',      		 1,      		 1)+...
varRange('BIGGAM_O_NH',      		 1,      		 1)+...
varRange('BIGGAM_O_TF',      		 1,      		 1)+...
varRange('BIGGAM_O_TH',      		 1,      		 1)+...
varRange('CAPAF',            		 11,            		 11)+...
varRange('CAPAH',            		 11,            		 11)+...
varRange('CF',               		 1.77599,               		 1.77599)+...
varRange('CF_NAT',           		 1.77797,           		 1.77797)+...
varRange('CH',               		 2.10139,               		 2.10139)+...
varRange('CH_NAT',           		 2.10374,           		 2.10374)+...
varRange('CURBALF_RAT',      		 2.20209e-18,      		 2.20209e-18)+...
varRange('CURBALH_RAT',      		 0,      		 0)+...
varRange('DEEF',             		 0.963835,             		 0.963835)+...
varRange('DEEH',             		 0.963835,             		 0.963835)+...
varRange('DEPEX',            		 1,            		 1)+...
varRange('EXPORTSF',         		 0.0374229,         		 0.0374229)+...
varRange('EXPORTSF_NAT',     		 0.0374229,     		 0.0374229)+...
varRange('EXPORTSH',         		 0.976573,         		 0.976573)+...
varRange('EXPORTSH_NAT',     		 0.976573,     		 0.976573)+...
varRange('EYEF',             		 0.27478,             		 0.27478)+...
varRange('EYEH',             		 0.365619,             		 0.365619)+...
varRange('GAF',              		 0.12075,              		 0.12075)+...
varRange('GAH',              		 0.145256,              		 0.145256)+...
varRange('GAMMAF',           		 0.5,           		 0.5)+...
varRange('GAMMAH',           		 0.25,           		 0.25)+...
varRange('GDPF',             		 2.415,             		 2.415)+...
varRange('GDPF_NAT',         		 2.415,         		 2.415)+...
varRange('GDPGAPF',          		 0,          		 0)+...
varRange('GDPGAPH',          		 0,          		 0)+...
varRange('GDPH',             		 2.90512,             		 2.90512)+...
varRange('GDPH_NAT',         		 2.90512,         		 2.90512)+...
varRange('GF_NAT',           		 0.362251,           		 0.362251)+...
varRange('GH_NAT',           		 0.435769,           		 0.435769)+...
varRange('GNF',              		 0.28727,              		 0.28727)+...
varRange('GNH',              		 0.321902,              		 0.321902)+...
varRange('HF',               		 1.68719,               		 1.68719)+...
varRange('HH',               		 1.99632,               		 1.99632)+...
varRange('IMPORTSF',         		 0.0374229,         		 0.0374229)+...
varRange('IMPORTSF_NAT',     		 0.0374229,     		 0.0374229)+...
varRange('IMPORTSH',         		 0.976573,         		 0.976573)+...
varRange('IMPORTSH_NAT',     		 0.976573,     		 0.976573)+...
varRange('KF',               		 10.9912,               		 10.9912)+...
varRange('KH',               		 14.6248,               		 14.6248)+...
varRange('KNF',              		 6.33687,              		 6.33687)+...
varRange('KNF_RAT',          		 22.6982,          		 22.6982)+...
varRange('KNH',              		 11.0347,              		 11.0347)+...
varRange('KNH_RAT',          		 22.8756,          		 22.8756)+...
varRange('KTF',              		 2.97137,              		 2.97137)+...
varRange('KTF_RAT',          		 22.6982,          		 22.6982)+...
varRange('KTH',              		 2.23721,              		 2.23721)+...
varRange('KTH_RAT',          		 114.378,          		 114.378)+...
varRange('K_OF',             		 1.68295,             		 1.68295)+...
varRange('K_OF_RAT',         		 7.27128,         		 7.27128)+...
varRange('K_OH',             		 1.35284,             		 1.35284)+...
varRange('K_OH_RAT',         		 8.16986,         		 8.16986)+...
varRange('LANDF',            		 0.1,            		 0.1)+...
varRange('LANDH',            		 0.1,            		 0.1)+...
varRange('LF',               		 0.641539,               		 0.641539)+...
varRange('LH',               		 0.667528,               		 0.667528)+...
varRange('LNF',              		 0.27918,              		 0.27918)+...
varRange('LNH',              		 0.482379,              		 0.482379)+...
varRange('LTF',              		 0.130908,              		 0.130908)+...
varRange('LTH',              		 0.0195598,              		 0.0195598)+...
varRange('L_OF',             		 0.231451,             		 0.231451)+...
varRange('L_OH',             		 0.16559,             		 0.16559)+...
varRange('MARGUTF',          		 2.24145,          		 2.24145)+...
varRange('MARGUTH',          		 2.11921,          		 2.11921)+...
varRange('MF',               		 0.0196446,               		 0.0196446)+...
varRange('MF_NAT',           		 0.0171196,           		 0.0171196)+...
varRange('MH',               		 0.438785,               		 0.438785)+...
varRange('MH_NAT',           		 0.522473,           		 0.522473)+...
varRange('M_ONF',            		 0.0143007,            		 0.0143007)+...
varRange('M_ONH',            		 0.134411,            		 0.134411)+...
varRange('M_OTF',            		 0.00670562,            		 0.00670562)+...
varRange('M_OTH',            		 0.143003,            		 0.143003)+...
varRange('NF',               		 1.91582,               		 1.91582)+...
varRange('NH',               		 2.60967,               		 2.60967)+...
varRange('NNF',              		 1.31534,              		 1.31534)+...
varRange('NNH',              		 2.19525,              		 2.19525)+...
varRange('O_NF',             		 0.387338,             		 0.387338)+...
varRange('O_NH',             		 0.147044,             		 0.147044)+...
varRange('O_TF',             		 0.181624,             		 0.181624)+...
varRange('O_TH',             		 0.148206,             		 0.148206)+...
varRange('PIE4F',            		 1.125,            		 1.125)+...
varRange('PIE4H',            		 1.125,            		 1.125)+...
varRange('PIE4TARF',         		 1.125,         		 1.125)+...
varRange('PIE4TARH',         		 1.125,         		 1.125)+...
varRange('PIEBARMF',         		 1.02988,         		 1.02988)+...
varRange('PIEBARMH',         		 1.02988,         		 1.02988)+...
varRange('PIEBARQF',         		 1.02988,         		 1.02988)+...
varRange('PIEBARQH',         		 1.02988,         		 1.02988)+...
varRange('PIEF',             		 1.02988,             		 1.02988)+...
varRange('PIEH',             		 1.02988,             		 1.02988)+...
varRange('PIENF',            		 1.02988,            		 1.02988)+...
varRange('PIENH',            		 1.02988,            		 1.02988)+...
varRange('PIEWF',            		 1.02988,            		 1.02988)+...
varRange('PIEWH',            		 1.02988,            		 1.02988)+...
varRange('PSIF',             		 0.025,             		 0.025)+...
varRange('PSIH',             		 0.025,             		 0.025)+...
varRange('PSIPRIMEF',        		 1,        		 1)+...
varRange('PSIPRIMEH',        		 1,        		 1)+...
varRange('QF',               		 0.875241,               		 0.875241)+...
varRange('QH',               		 0.0238294,               		 0.0238294)+...
varRange('Q_ONF',            		 0.37374,            		 0.37374)+...
varRange('Q_ONH',            		 0.0132636,            		 0.0132636)+...
varRange('Q_OTF',            		 0.175248,            		 0.175248)+...
varRange('Q_OTH',            		 0.00547181,            		 0.00547181)+...
varRange('REALBF',           		 0,           		 0)+...
varRange('REALBH',           		 0,           		 0)+...
varRange('REALEX',           		 1.37345,           		 1.37345)+...
varRange('REALEXF',          		 0.728092,          		 0.728092)+...
varRange('REALEXH',          		 1.37345,          		 1.37345)+...
varRange('REALFINH',         		 0,         		 0)+...
varRange('REALMCNF',         		 0.700563,         		 0.700563)+...
varRange('REALMCNH',         		 0.752072,         		 0.752072)+...
varRange('REALMCTF',         		 0.700563,         		 0.700563)+...
varRange('REALMCTH',         		 0.930081,         		 0.930081)+...
varRange('REALMONEYF',       		 0.558667,       		 0.558667)+...
varRange('REALMONEYH',       		 0.661027,       		 0.661027)+...
varRange('REALPBARMF',       		 0.87147,       		 0.87147)+...
varRange('REALPBARMH',       		 1.19073,       		 1.19073)+...
varRange('REALPBARQF',       		 0.899523,       		 0.899523)+...
varRange('REALPBARQH',       		 1.1522,       		 1.1522)+...
varRange('REALPLANDF',       		 0.554831,       		 0.554831)+...
varRange('REALPLANDH',       		 0.414697,       		 0.414697)+...
varRange('REALPMF',          		 1.16571,          		 1.16571)+...
varRange('REALPMH',          		 1.37122,          		 1.37122)+...
varRange('REALPNF',          		 0.840676,          		 0.840676)+...
varRange('REALPNH',          		 0.902486,          		 0.902486)+...
varRange('REALPQF',          		 1.19376,          		 1.19376)+...
varRange('REALPQH',          		 1.33269,          		 1.33269)+...
varRange('REALPXF',          		 1.19317,          		 1.19317)+...
varRange('REALPXH',          		 1.36927,          		 1.36927)+...
varRange('REALP_MOF',        		 0.966533,        		 0.966533)+...
varRange('REALP_MOH',        		 1.63691,        		 1.63691)+...
varRange('REALP_ONF',        		 1.18567,        		 1.18567)+...
varRange('REALP_ONH',        		 1.61602,        		 1.61602)+...
varRange('REALP_OTF',        		 1.18567,        		 1.18567)+...
varRange('REALP_OTH',        		 1.62845,        		 1.62845)+...
varRange('REALP_QOF',        		 1.19182,        		 1.19182)+...
varRange('REALP_QOH',        		 1.32749,        		 1.32749)+...
varRange('REALRF',           		 0.0324171,           		 0.0324171)+...
varRange('REALRH',           		 0.0324171,           		 0.0324171)+...
varRange('REALTBALF',        		 -6.93889e-18,        		 -6.93889e-18)+...
varRange('REALTBALH',        		 -6.93889e-18,        		 -6.93889e-18)+...
varRange('REALWF',           		 2.42668,           		 2.42668)+...
varRange('REALWH',           		 2.83455,           		 2.83455)+...
varRange('RNOMF',            		 1.03752,            		 1.03752)+...
varRange('RNOMH',            		 1.03752,            		 1.03752)+...
varRange('SHOPF',            		 0.00111564,            		 0.00111564)+...
varRange('SHOPH',            		 0.00111564,            		 0.00111564)+...
varRange('SHOPPRIMEF',       		 0.00357862,       		 0.00357862)+...
varRange('SHOPPRIMEH',       		 0.00357862,       		 0.00357862)+...
varRange('TF',               		 0.898335,               		 0.898335)+...
varRange('TH',               		 0.397076,               		 0.397076)+...
varRange('T_OF',             		 0.563589,             		 0.563589)+...
varRange('T_OH',             		 0.417855,             		 0.417855)+...
varRange('VELOF',            		 3.17898,            		 3.17898)+...
varRange('VELOH',            		 3.17898,            		 3.17898)+...
varRange('VPRIMEF',          		 3.62619,          		 3.62619)+...
varRange('VPRIMEH',          		 4.00467,          		 4.00467)+...
varRange('XF_NAT',           		 0.0200215,           		 0.0200215)+...
varRange('XH_NAT',           		 0.446747,           		 0.446747)+...
varRange('XI',               		 0,               		 0)+...
varRange('ZBF',              		 0,              		 0)+...
varRange('ZBH',              		 0,              		 0)+...
varRange('ZEYEF',            		 0,            		 0)+...
varRange('ZEYEH',            		 0,            		 0)+...
varRange('ZNF',              		 1,              		 1)+...
varRange('ZNH',              		 1,              		 1)+...
varRange('ZTF',              		 1,              		 1)+...
varRange('ZTH',              		 0.6,              		 0.6)+...
varRange('ZUF',              		 1,              		 1)+...
varRange('ZUH',              		 1,              		 1)+...
varRange('ZZ_CF',            		 57.5475,            		 57.5475)+...
varRange('ZZ_CH',            		 74.3715,            		 74.3715)+...
varRange('ZZ_CURBALF_RAT',   		 2.20209e-16,   		 2.20209e-16)+...
varRange('ZZ_CURBALH_RAT',   		 0,   		 0)+...
varRange('ZZ_C_SHARF',       		 0.735399,       		 0.735399)+...
varRange('ZZ_C_SHARH',       		 0.72334,       		 0.72334)+...
varRange('ZZ_DPIE4F',        		 0,        		 0)+...
varRange('ZZ_DPIE4H',        		 0,        		 0)+...
varRange('ZZ_DRNOMF',        		 0,        		 0)+...
varRange('ZZ_DRNOMH',        		 0,        		 0)+...
varRange('ZZ_EXPORTSF',      		 -328.547,      		 -328.547)+...
varRange('ZZ_EXPORTSH',      		 -2.37055,      		 -2.37055)+...
varRange('ZZ_EYEF',          		 -129.179,          		 -129.179)+...
varRange('ZZ_EYEH',          		 -100.616,          		 -100.616)+...
varRange('ZZ_EYE_SHARF',     		 0.11378,     		 0.11378)+...
varRange('ZZ_EYE_SHARH',     		 0.125853,     		 0.125853)+...
varRange('ZZ_GDPF',          		 88.1701,          		 88.1701)+...
varRange('ZZ_GDPH',          		 106.648,          		 106.648)+...
varRange('ZZ_GDP_PPP_RATH',  		 0.875857,  		 0.875857)+...
varRange('ZZ_GF',            		 -101.542,            		 -101.542)+...
varRange('ZZ_GH',            		 -83.0644,            		 -83.0644)+...
varRange('ZZ_IMPORTSF',      		 -328.547,      		 -328.547)+...
varRange('ZZ_IMPORTSH',      		 -2.37055,      		 -2.37055)+...
varRange('ZZ_M_ON_SHARF',    		 0.00635935,    		 0.00635935)+...
varRange('ZZ_M_ON_SHARH',    		 0.0841493,    		 0.0841493)+...
varRange('ZZ_M_OT_SHARF',    		 0.00298192,    		 0.00298192)+...
varRange('ZZ_M_OT_SHARH',    		 0.0895286,    		 0.0895286)+...
varRange('ZZ_M_O_SHARF',     		 0.00934127,     		 0.00934127)+...
varRange('ZZ_M_O_SHARH',     		 0.173678,     		 0.173678)+...
varRange('ZZ_M_SHARF',       		 0.00787652,       		 0.00787652)+...
varRange('ZZ_M_SHARH',       		 0.199828,       		 0.199828)+...
varRange('ZZ_N_SHARF',       		 0.741009,       		 0.741009)+...
varRange('ZZ_N_SHARH',       		 0.900782,       		 0.900782)+...
varRange('ZZ_PIE4F',         		 12.5,         		 12.5)+...
varRange('ZZ_PIE4H',         		 12.5,         		 12.5)+...
varRange('ZZ_REALEX',        		 31.7327,        		 31.7327)+...
varRange('ZZ_RNOMF',         		 15.875,         		 15.875)+...
varRange('ZZ_RNOMH',         		 15.875,         		 15.875)+...
varRange('ZZ_UTILITYF',      		 -1.86611,      		 -1.86611)+...
varRange('ZZ_UTILITYH',      		 -1.92978,      		 -1.92978)+...
varRange('ZZ_XBALF_TOT_RAT', 		 0, 		 0)+...
varRange('ZZ_XBALH_TOT_RAT', 		 -7.6432e-15, 		 -7.6432e-15)+...
varRange('Z_OF',             		 1,             		 1)+...
varRange('Z_OH',             		 1,             		 1)+...
varRange('PIEH_1',           		 1.02988,           		 1.02988)+...
varRange('PIEH_2',           		 1.02988,           		 1.02988)+...
varRange('PIEF_1',           		 1.02988,           		 1.02988)+...
varRange('PIEF_2',           		 1.02988,           		 1.02988)+...
varRange('REALBH_1',         		 0,         		 0)+...
varRange('VALUE',            		 -262.111,            		 -262.111)+...
varRange('VALUE2',           		 230.511,           		 230.511);
