function theObj=fssInput(varargin)
%fssInput object find state state inputs

global M_ oo_ options_ ys0_

if(and(nargin==1,isa(varargin{1},'fssInput')))
theObj=varargin{1};
else
showEmDefault=false;%show global opt iterations
itmaxDefault=100;%max func evals for global stage
maxTimeAllowedDefault=10;%cpusecs for global stage
anRSpecDefault=regionSpec;
modelNameDefault='';%use presently 'active' dynare model

theObj.showEm=showEmDefault;%show global opt iterations
theObj.itmax=itmaxDefault;
theObj.maxTimeAllowed=maxTimeAllowedDefault;
theObj.anRSpec=anRSpecDefault;
theObj.modelName=modelNameDefault;

for ii=1:nargin
theArg=varargin{ii};
switch class(theArg)
case 'char'
theObj.modelName=theArg;%use filename to reparse model
case 'double'
if(or(all(size(theArg)==[1 2]),all(size(theArg)==[2 1])))
theObj.maxTimeAllowed=theArg(1);
theObj.itmax=theArg(2);
else
error('fssInput cnstructr:need two doubles[maxtime,maxits]')
end
case 'logical'
theObj.showEm=theArg;
otherwise
try
theObj.anRSpec=theObj.anRSpec+theArg;
catch
error(['fssInput cnstructr: arg of unknown type' ...
sprintf('>>%s<<',class(theArg))])
end
end
end
theObj=class(theObj,'fssInput');
end
