function [residual, g1, g2, g3] = asset_dynamic(y, x)
% 
% Status : Computes dynamic model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ it_
if M_.param_nbr > 0
  params =  M_.params;
end

	% 
	% Model equations
	% 

residual = zeros(2, 1);
lhs =y(2);
rhs =params(3)*exp(params(1)*y(5))*(1.0+y(4));
residual(1)= lhs-rhs;
lhs =y(3);
rhs =(1.0-params(2))*params(4)+params(2)*y(1)+x(it_, 1);
residual(2)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(2, 6);

	% 
	% Jacobian matrix
	% 

  g1(1, 2)=  g1(1, 2)+1.0;
  g1(1, 5)=  g1(1, 5)+(-((1.0+y(4))*params(3)*params(1)*exp(params(1)*y(5))));
  g1(1, 4)=  g1(1, 4)+(-(params(3)*exp(params(1)*y(5))));
  g1(2, 3)=  g1(2, 3)+1.0;
  g1(2, 1)=  g1(2, 1)+(-params(2));
  g1(2, 6)=  g1(2, 6)+(-1.0);
end
if nargout >= 3,
  g2 = sparse([],[],[],2, 36, 180);

	% 
	% Hessian matrix
	% 

  g2(1, 29) = (-((1.0+y(4))*params(3)*params(1)*params(1)*exp(params(1)*y(5))));
  g2(1, 23) = (-(params(3)*params(1)*exp(params(1)*y(5))));
  g2(1, 28) = g2(1, 23);
end;
