function [residual, g1, g2] = example1_static( y, x )
% 
% Status : Computes static model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ 
if M_.param_nbr > 0
  params = M_.params;
end
  residual = zeros( 6, 1);

	% 
	% Model equations
	% 

T25 = y(2)*params(1)*exp(y(6))/exp(y(6))/y(2);
T33 = 1.0+params(3)*exp(y(6))*y(1)/y(3)-params(4);
T40 = exp(y(4))*y(3)^params(3);
T41 = y(5)^(1.0-params(3));
T42 = T40*T41;
T72 = exp(y(6))*exp(y(6));
T76 = y(2)*params(1)*exp(y(6))*exp(y(6))/T72/(y(2)*y(2));
T91 = y(2)*y(2)*params(1)*exp(y(6))*exp(y(6))/T72/(y(2)*y(2));
T96 = y(2)*(-(y(2)*params(1)*exp(y(6))*exp(y(6))))/T72/(y(2)*y(2));
T99 = params(3)*exp(y(6))*y(1)*y(3)/(y(3)*y(3));
T104 = (-(y(2)*params(1)*exp(y(6))/exp(y(6))))/(y(2)*y(2));
T107 = params(3)*exp(y(6))*y(3)/(y(3)*y(3));
T110 = (-(params(3)*exp(y(6))*y(1)))/(y(3)*y(3));
T118 = (-(T41*exp(y(4))*params(3)*y(3)^(params(3)-1.0)));
lhs =y(2)*params(5)*y(5)^(1.0+params(6));
rhs =(1.0-params(3))*y(1);
residual(1)= lhs-rhs;
lhs =T25*T33;
rhs =1.0;
residual(2)= lhs-rhs;
lhs =y(1);
rhs =T42;
residual(3)= lhs-rhs;
lhs =y(3);
rhs =exp(y(6))*(y(1)-y(2))+(1.0-params(4))*y(3);
residual(4)= lhs-rhs;
lhs =y(4);
rhs =params(2)*y(4)+y(6)*params(7)+x(1);
residual(5)= lhs-rhs;
lhs =y(6);
rhs =y(4)*params(7)+y(6)*params(2)+x(2);
residual(6)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(6, 6);

	% 
	% Jacobian matrix
	% 

  g1(1, 2)=  g1(1, 2)+params(5)*y(5)^(1.0+params(6));
  g1(1, 5)=  g1(1, 5)+y(2)*params(5)*(1.0+params(6))*y(5)^(1.0+params(6)-1.0);
  g1(1, 1)=  g1(1, 1)+(-(1.0-params(3)));
  g1(2, 2)=  g1(2, 2)+T33*T76;
  g1(2, 6)=  g1(2, 6)+T33*T91;
  g1(2, 6)=  g1(2, 6)+T33*T96+T25*T99;
  g1(2, 2)=  g1(2, 2)+T33*T104;
  g1(2, 1)=  g1(2, 1)+T25*T107;
  g1(2, 3)=  g1(2, 3)+T25*T110;
  g1(3, 5)=  g1(3, 5)+(-(T40*(1.0-params(3))*y(5)^(1.0-params(3)-1.0)));
  g1(3, 1)=  g1(3, 1)+1.0;
  g1(3, 4)=  g1(3, 4)+(-T42);
  g1(3, 3)=  g1(3, 3)+T118;
  g1(4, 3)=  g1(4, 3)+1.0;
  g1(4, 6)=  g1(4, 6)+(-(exp(y(6))*(y(1)-y(2))));
  g1(4, 1)=  g1(4, 1)+(-exp(y(6)));
  g1(4, 2)=  g1(4, 2)+exp(y(6));
  g1(4, 3)=  g1(4, 3)+(-(1.0-params(4)));
  g1(5, 4)=  g1(5, 4)+1.0;
  g1(5, 6)=  g1(5, 6)+(-params(7));
  g1(5, 4)=  g1(5, 4)+(-params(2));
  g1(6, 6)=  g1(6, 6)+1.0;
  g1(6, 6)=  g1(6, 6)+(-params(2));
  g1(6, 4)=  g1(6, 4)+(-params(7));
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
