function [residual, g1, g2] = sedmodel1_static( y, x )
% 
% Status : Computes static model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ 
if M_.param_nbr > 0
  params = M_.params;
end
  residual = zeros( 17, 1);

	% 
	% Model equations
	% 

T17 = 1.0/params(10);
T19 = params(2)*params(11)*params(16)*y(7)^T17;
T35 = y(11)*params(9)*(1.0-y(5)-params(15))^(-params(8));
T41 = params(14)^params(1);
T42 = (1.0-params(1))*y(1)*T41;
T45 = T42*y(5)^(-params(1));
T48 = (1.0+params(10))/params(10);
T50 = params(2)*params(11)*y(7)^T48;
T62 = (-1.0)/params(10);
T76 = T41*y(1)*y(2)^(-1.0);
T77 = y(5)^(1.0-params(1));
T82 = (-(1.0+params(10)))/params(10);
T87 = params(11)*(params(16)/y(7))^T82;
T94 = y(1)/params(12);
T98 = y(1)/params(12);
T106 = y(3)/params(13);
T110 = y(3)/params(13);
T121 = params(2)*y(4)/y(7);
T125 = (y(11)-y(3))^(-params(7));
T149 = params(9)*(1.0-y(6)-params(15))^(1.0-params(8))/(1.0-params(8));
T152 = 1.0/(1.0-params(7));
T163 = params(9)*(1.0+params(10))*y(13)*(y(13)-y(3))^(params(7)-1.0);
T164 = (1.0-y(6)-params(15))^(-params(8));
T174 = y(11)/y(13);
T194 = params(17)*(y(7)/params(16))^params(3);
T196 = T194^(1.0-params(6));
T200 = y(4)^params(6)*T196*exp(x(3));
T204 = 1.0/100.0;
T217 = (1.0-params(7))*(y(11)-y(3))^(1.0-params(7)-1.0);
T219 = params(9)*(1.0-y(5)-params(15))^(-params(8));
T232 = y(13)/(y(13)*y(13));
T236 = params(13)/(params(13)*params(13));
T244 = (params(7)-1.0)*(y(13)-y(3))^(params(7)-1.0-1.0);
T247 = params(9)*(1.0+params(10))*y(13)*(-T244);
T271 = params(2)*(-y(4))/(y(7)*y(7));
T282 = y(11)*params(9)*(-((-params(8))*(1.0-y(5)-params(15))^((-params(8))-1.0)));
T286 = T42*(-params(1))*y(5)^((-params(1))-1.0);
T294 = (1.0-params(1))*y(5)^(1.0-params(1)-1.0);
T307 = y(5)^(-params(1))*(1.0-params(1))*T41;
T316 = params(12)/(params(12)*params(12));
T324 = T62*(y(10)*y(7))^(T62-1.0);
T342 = T82*(params(16)/y(7))^(T82-1.0);
T353 = params(17)*params(16)/(params(16)*params(16))*params(3)*(y(7)/params(16))^(params(3)-1.0);
T360 = (-(exp(x(3))*y(4)^params(6)*T353*(1.0-params(6))*T194^(1.0-params(6)-1.0)));
T380 = (-params(7))*(y(11)-y(3))^((-params(7))-1.0);
T389 = T152*((1.0-params(7))*(y(8)*(1.0-params(2))-T149))^(T152-1.0);
T399 = (-((1.0-params(8))*params(9)*(-((1.0-params(8))*(1.0-y(6)-params(15))^(1.0-params(8)-1.0)))/((1.0-params(8))*(1.0-params(8)))));
T408 = (-((-params(8))*(1.0-y(6)-params(15))^((-params(8))-1.0)));
T416 = T152*((1.0-params(7))*((1.0-params(2))*y(9)-T149))^(T152-1.0);
T423 = params(9)*((1.0+params(10))*(y(13)-y(3))^(params(7)-1.0)+(1.0+params(10))*y(13)*T244);
T427 = (-y(11))/(y(13)*y(13));
T446 = (1.0-params(7))*(1.0-params(7)-1.0)*(y(11)-y(3))^(1.0-params(7)-1.0-1.0);
T449 = (1.0-params(7))*(-((1.0-params(7)-1.0)*(y(11)-y(3))^(1.0-params(7)-1.0-1.0)));
T613 = (-params(7))*((-params(7))-1.0)*(y(11)-y(3))^((-params(7))-1.0-1.0);
T638 = (-params(7))*((-params(7))-1.0)*(y(11)-y(3))^((-params(7))-1.0-1.0);
T655 = (1.0-params(7))*(1.0-params(7))*(1.0-params(7))*(1.0-params(7));
T681 = (T152-1.0)*((1.0-params(7))*(y(8)*(1.0-params(2))-T149))^(T152-1.0-1.0);
T683 = T152*(1.0-params(7))*(1.0-params(2))*T681;
T699 = (-((1.0-params(8))*(1.0-params(8))*(1.0-params(8))*params(9)*(-((1.0-params(8))*(-((1.0-params(8)-1.0)*(1.0-y(6)-params(15))^(1.0-params(8)-1.0-1.0)))))/((1.0-params(8))*(1.0-params(8))*(1.0-params(8))*(1.0-params(8)))));
T709 = (params(7)-1.0)*(-((params(7)-1.0-1.0)*(y(13)-y(3))^(params(7)-1.0-1.0-1.0)));
T777 = (1.0-params(7))*(-((1.0-params(7)-1.0)*(y(13)-y(3))^(1.0-params(7)-1.0-1.0)));
T821 = (T152-1.0)*((1.0-params(7))*((1.0-params(2))*y(9)-T149))^(T152-1.0-1.0);
T823 = T152*(1.0-params(7))*T399*T821;
lhs =y(14)-((y(11)-y(3))^(1.0-params(7))+T19*y(14));
rhs =0.0;
residual(1)= lhs-rhs;
lhs =y(15)-(T35/T45+T50*y(15));
rhs =0.0;
residual(2)= lhs-rhs;
lhs =y(10)-y(15)*(1.0+params(10))/y(14);
rhs =0.0;
residual(3)= lhs-rhs;
lhs =y(7)^T62-((1.0-params(11))*(y(10)*y(7))^T62+params(11)*params(16)^T62);
rhs =0.0;
residual(4)= lhs-rhs;
lhs =y(11)-T76*T77;
rhs =0.0;
residual(5)= lhs-rhs;
lhs =y(2)-((1.0-params(11))*y(10)^T82+T87*y(2));
rhs =0.0;
residual(6)= lhs-rhs;
lhs =log(T94)-(params(4)*log(T98)+x(1));
rhs =0.0;
residual(7)= lhs-rhs;
lhs =log(T106)-(params(5)*log(T110)+x(2));
rhs =0.0;
residual(8)= lhs-rhs;
lhs =(y(11)-y(3))^(-params(7))-T121*T125;
rhs =0.0;
residual(9)= lhs-rhs;
lhs =y(8)-((y(11)-y(3))^(1.0-params(7))/(1.0-params(7))+params(9)*(1.0-y(5)-params(15))^(1.0-params(8))/(1.0-params(8))+params(2)*y(8));
rhs =0.0;
residual(10)= lhs-rhs;
lhs =y(17);
rhs =((1.0-params(7))*(y(8)*(1.0-params(2))-T149))^T152;
residual(11)= lhs-rhs;
lhs =T42*y(6)^(-params(1))-T163*T164;
rhs =0.0;
residual(12)= lhs-rhs;
lhs =y(13)-y(1)*T41*y(6)^(1.0-params(1));
rhs =0.0;
residual(13)= lhs-rhs;
lhs =y(12)-log(T174);
rhs =0.0;
residual(14)= lhs-rhs;
lhs =y(9)-(T149+(y(13)-y(3))^(1.0-params(7))/(1.0-params(7))+params(2)*y(9));
rhs =0.0;
residual(15)= lhs-rhs;
lhs =y(4);
rhs =T200;
residual(16)= lhs-rhs;
lhs =y(16);
rhs =T204*((1.0-params(7))*((1.0-params(2))*y(9)-T149))^T152;
residual(17)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(17, 17);

	% 
	% Jacobian matrix
	% 

  g1(1, 14)=  g1(1, 14)+1.0;
  g1(1, 11)=  g1(1, 11)+(-T217);
  g1(1, 3)=  g1(1, 3)+T217;
  g1(1, 7)=  g1(1, 7)+(-(y(14)*params(2)*params(11)*params(16)*T17*y(7)^(T17-1.0)));
  g1(1, 14)=  g1(1, 14)+(-T19);
  g1(2, 11)=  g1(2, 11)+(-(T45*T219/(T45*T45)));
  g1(2, 7)=  g1(2, 7)+(-(y(15)*params(2)*params(11)*T48*y(7)^(T48-1.0)));
  g1(2, 15)=  g1(2, 15)+1.0;
  g1(2, 5)=  g1(2, 5)+(-((T45*T282-T35*T286)/(T45*T45)));
  g1(2, 1)=  g1(2, 1)+(-((-(T35*T307))/(T45*T45)));
  g1(2, 15)=  g1(2, 15)+(-T50);
  g1(3, 14)=  g1(3, 14)+(-((-(y(15)*(1.0+params(10))))/(y(14)*y(14))));
  g1(3, 15)=  g1(3, 15)+(-(y(14)*(1.0+params(10))/(y(14)*y(14))));
  g1(3, 10)=  g1(3, 10)+1.0;
  g1(4, 10)=  g1(4, 10)+(-((1.0-params(11))*y(7)*T324));
  g1(4, 7)=  g1(4, 7)+T62*y(7)^(T62-1.0)-(1.0-params(11))*y(10)*T324;
  g1(5, 11)=  g1(5, 11)+1.0;
  g1(5, 5)=  g1(5, 5)+(-(T76*T294));
  g1(5, 1)=  g1(5, 1)+(-(T77*T41*y(2)^(-1.0)));
  g1(5, 2)=  g1(5, 2)+(-(T77*T41*y(1)*(-y(2)^((-1.0)-1.0))));
  g1(6, 10)=  g1(6, 10)+(-((1.0-params(11))*T82*y(10)^(T82-1.0)));
  g1(6, 7)=  g1(6, 7)+(-(y(2)*params(11)*(-params(16))/(y(7)*y(7))*T342));
  g1(6, 2)=  g1(6, 2)+1.0;
  g1(6, 2)=  g1(6, 2)+(-T87);
  g1(7, 1)=  g1(7, 1)+T316/T94;
  g1(7, 1)=  g1(7, 1)+(-(params(4)*T316/T98));
  g1(8, 3)=  g1(8, 3)+T236/T106;
  g1(8, 3)=  g1(8, 3)+(-(params(5)*T236/T110));
  g1(9, 11)=  g1(9, 11)+(-params(7))*(y(11)-y(3))^((-params(7))-1.0);
  g1(9, 3)=  g1(9, 3)+(-((-params(7))*(y(11)-y(3))^((-params(7))-1.0)));
  g1(9, 7)=  g1(9, 7)+(-(T125*T271));
  g1(9, 4)=  g1(9, 4)+(-(T125*params(2)*y(7)/(y(7)*y(7))));
  g1(9, 11)=  g1(9, 11)+(-(T121*T380));
  g1(9, 3)=  g1(9, 3)+(-(T121*(-T380)));
  g1(10, 11)=  g1(10, 11)+(-((1.0-params(7))*T217/((1.0-params(7))*(1.0-params(7)))));
  g1(10, 3)=  g1(10, 3)+(-((1.0-params(7))*(-T217)/((1.0-params(7))*(1.0-params(7)))));
  g1(10, 5)=  g1(10, 5)+(-((1.0-params(8))*params(9)*(-((1.0-params(8))*(1.0-y(5)-params(15))^(1.0-params(8)-1.0)))/((1.0-params(8))*(1.0-params(8)))));
  g1(10, 8)=  g1(10, 8)+1.0;
  g1(10, 8)=  g1(10, 8)+(-params(2));
  g1(11, 8)=  g1(11, 8)+(-((1.0-params(7))*(1.0-params(2))*T389));
  g1(11, 17)=  g1(11, 17)+1.0;
  g1(11, 6)=  g1(11, 6)+(-(T389*(1.0-params(7))*T399));
  g1(12, 3)=  g1(12, 3)+(-(T164*T247));
  g1(12, 1)=  g1(12, 1)+y(6)^(-params(1))*(1.0-params(1))*T41;
  g1(12, 6)=  g1(12, 6)+T42*(-params(1))*y(6)^((-params(1))-1.0)-T163*T408;
  g1(12, 13)=  g1(12, 13)+(-(T164*T423));
  g1(13, 1)=  g1(13, 1)+(-(T41*y(6)^(1.0-params(1))));
  g1(13, 6)=  g1(13, 6)+(-(y(1)*T41*(1.0-params(1))*y(6)^(1.0-params(1)-1.0)));
  g1(13, 13)=  g1(13, 13)+1.0;
  g1(14, 11)=  g1(14, 11)+(-(T232/T174));
  g1(14, 13)=  g1(14, 13)+(-(T427/T174));
  g1(14, 12)=  g1(14, 12)+1.0;
  g1(15, 3)=  g1(15, 3)+(-((1.0-params(7))*(-((1.0-params(7))*(y(13)-y(3))^(1.0-params(7)-1.0)))/((1.0-params(7))*(1.0-params(7)))));
  g1(15, 6)=  g1(15, 6)+T399;
  g1(15, 13)=  g1(15, 13)+(-((1.0-params(7))*(1.0-params(7))*(y(13)-y(3))^(1.0-params(7)-1.0)/((1.0-params(7))*(1.0-params(7)))));
  g1(15, 9)=  g1(15, 9)+1.0;
  g1(15, 9)=  g1(15, 9)+(-params(2));
  g1(16, 7)=  g1(16, 7)+T360;
  g1(16, 4)=  g1(16, 4)+1.0;
  g1(16, 4)=  g1(16, 4)+(-(exp(x(3))*T196*params(6)*y(4)^(params(6)-1.0)));
  g1(17, 6)=  g1(17, 6)+(-(T204*(1.0-params(7))*T399*T416));
  g1(17, 9)=  g1(17, 9)+(-(T204*(1.0-params(7))*(1.0-params(2))*T416));
  g1(17, 16)=  g1(17, 16)+1.0;
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
