function [residual, g1, g2] = test7_dynamic(y, x)
% 
% Status : Computes dynamic model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ it_
if M_.param_nbr > 0
  params =  M_.params;
end

	% 
	% Model equations
	% 

residual = zeros(2, 1);
T18 = 1.0+params(1)*params(2)^4.0;
T30 = params(1)*4.0*params(2)^3.0;
T32 = T30*y(1)^3.0;
T65 = 2.0*(params(2)*y(1)*x(it_, 1))^(2.0-1.0);
T98 = 2.0*params(2)*x(it_, 1)*(2.0-1.0)*(params(2)*y(1)*x(it_, 1))^(2.0-1.0-1.0);
lhs =y(3);
rhs =params(2)*y(1)+x(it_, 1);
residual(1)= lhs-rhs;
lhs =params(1)*y(4)+y(2)-T18*y(1)^4.0-y(1)*params(2)*params(1)*4.0*x(it_, 1)^3.0-x(it_, 1)*T32-params(1)*6.0*(params(2)*y(1)*x(it_, 1))^2.0-params(1)*x(it_, 1)^4.0-x(it_, 2);
rhs =0.0;
residual(2)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(2, 6);

	% 
	% Jacobian matrix
	% 

  g1(1, 3)=  g1(1, 3)+1.0;
  g1(1, 1)=  g1(1, 1)+(-params(2));
  g1(1, 5)=  g1(1, 5)+(-1.0);
  g1(2, 1)=  g1(2, 1)+(-(T18*4.0*y(1)^(4.0-1.0)))-params(2)*params(1)*4.0*x(it_, 1)^3.0-x(it_, 1)*T30*3.0*y(1)^(3.0-1.0)-params(1)*6.0*params(2)*x(it_, 1)*T65;
  g1(2, 5)=  g1(2, 5)+(-(y(1)*params(2)*params(1)*4.0*3.0*x(it_, 1)^(3.0-1.0)))-T32-params(1)*6.0*params(2)*y(1)*T65-params(1)*4.0*x(it_, 1)^(4.0-1.0);
  g1(2, 4)=  g1(2, 4)+params(1);
  g1(2, 2)=  g1(2, 2)+1.0;
  g1(2, 6)=  g1(2, 6)+(-1.0);
end
if nargout >= 3,
  g2 = sparse([],[],[],2, 36, 180);

	% 
	% Hessian matrix
	% 

  g2(2, 1) = (-(T18*4.0*(4.0-1.0)*y(1)^(4.0-1.0-1.0)))-x(it_, 1)*T30*3.0*(3.0-1.0)*y(1)^(3.0-1.0-1.0)-params(1)*6.0*params(2)*x(it_, 1)*T98;
  g2(2, 25) = (-(params(2)*params(1)*4.0*3.0*x(it_, 1)^(3.0-1.0)))-T30*3.0*y(1)^(3.0-1.0)-params(1)*6.0*(params(2)*T65+params(2)*y(1)*T98);
  g2(2, 29) = (-(y(1)*params(2)*params(1)*4.0*3.0*(3.0-1.0)*x(it_, 1)^(3.0-1.0-1.0)))-params(1)*6.0*params(2)*y(1)*2.0*params(2)*y(1)*(2.0-1.0)*(params(2)*y(1)*x(it_, 1))^(2.0-1.0-1.0)-params(1)*4.0*(4.0-1.0)*x(it_, 1)^(4.0-1.0-1.0);
  g2(2, 5) = g2(2, 25);
end;
